/*
 * tkIntXlibDecls.h --
 *
 *	This file contains the declarations for all platform dependent
 *	unsupported functions that are exported by the Tk library.  These
 *	interfaces are not guaranteed to remain the same between
 *	versions.  Use at your own risk.
 *
 * Copyright (c) 1998-1999 by Scriptics Corporation.
 * All rights reserved.
 *
 * RCS: @(#) $Id: tkIntXlibDecls.h,v 1.2.2.2 1999/03/12 03:12:45 stanton Exp $
 */

#ifndef _TKINTXLIBDECLS
#define _TKINTXLIBDECLS

#ifdef BUILD_tk
#undef TCL_STORAGE_CLASS
#define TCL_STORAGE_CLASS DLLEXPORT
#endif

/*
 * WARNING: This file is automatically generated by the tools/genStubs.tcl
 * script.  Any modifications to the function declarations below should be made
 * in the generic/tkInt.decls script.
 */

/* !BEGIN!: Do not edit below this line. */

/*
 * Exported function declarations:
 */

#ifdef __WIN32__
/* Slot 0 is reserved */
/* 1 */
EXTERN XModifierKeymap*	 XGetModifierMapping _ANSI_ARGS_((Display* d));
/* 2 */
EXTERN XImage *		XCreateImage _ANSI_ARGS_((Display* d, Visual* v, 
				unsigned int ui1, int i1, int i2, char* cp, 
				unsigned int ui2, unsigned int ui3, int i3, 
				int i4));
/* 3 */
EXTERN XImage *		XGetImage _ANSI_ARGS_((Display* d, Drawable dr, 
				int i1, int i2, unsigned int ui1, 
				unsigned int ui2, unsigned long ul, int i3));
/* 4 */
EXTERN char *		XGetAtomName _ANSI_ARGS_((Display* d, Atom a));
/* 5 */
EXTERN char *		XKeysymToString _ANSI_ARGS_((KeySym k));
/* 6 */
EXTERN Colormap		XCreateColormap _ANSI_ARGS_((Display* d, Window w, 
				Visual* v, int i));
/* 7 */
EXTERN Cursor		XCreatePixmapCursor _ANSI_ARGS_((Display* d, 
				Pixmap p1, Pixmap p2, XColor* x1, XColor* x2, 
				unsigned int ui1, unsigned int ui2));
/* 8 */
EXTERN Cursor		XCreateGlyphCursor _ANSI_ARGS_((Display* d, Font f1, 
				Font f2, unsigned int ui1, unsigned int ui2, 
				XColor* x1, XColor* x2));
/* 9 */
EXTERN GContext		XGContextFromGC _ANSI_ARGS_((GC g));
/* 10 */
EXTERN XHostAddress *	XListHosts _ANSI_ARGS_((Display* d, int* i, Bool* b));
/* 11 */
EXTERN KeySym		XKeycodeToKeysym _ANSI_ARGS_((Display* d, 
				unsigned int k, int i));
/* 12 */
EXTERN KeySym		XStringToKeysym _ANSI_ARGS_((_Xconst char* c));
/* 13 */
EXTERN Window		XRootWindow _ANSI_ARGS_((Display* d, int i));
/* 14 */
EXTERN XErrorHandler	XSetErrorHandler _ANSI_ARGS_((XErrorHandler x));
/* 15 */
EXTERN Status		XIconifyWindow _ANSI_ARGS_((Display* d, Window w, 
				int i));
/* 16 */
EXTERN Status		XWithdrawWindow _ANSI_ARGS_((Display* d, Window w, 
				int i));
/* 17 */
EXTERN Status		XGetWMColormapWindows _ANSI_ARGS_((Display* d, 
				Window w, Window** wpp, int* ip));
/* 18 */
EXTERN Status		XAllocColor _ANSI_ARGS_((Display* d, Colormap c, 
				XColor* xp));
/* 19 */
EXTERN void		XBell _ANSI_ARGS_((Display* d, int i));
/* 20 */
EXTERN void		XChangeProperty _ANSI_ARGS_((Display* d, Window w, 
				Atom a1, Atom a2, int i1, int i2, 
				_Xconst unsigned char* c, int i3));
/* 21 */
EXTERN void		XChangeWindowAttributes _ANSI_ARGS_((Display* d, 
				Window w, unsigned long ul, 
				XSetWindowAttributes* x));
/* 22 */
EXTERN void		XClearWindow _ANSI_ARGS_((Display* d, Window w));
/* 23 */
EXTERN void		XConfigureWindow _ANSI_ARGS_((Display* d, Window w, 
				unsigned int i, XWindowChanges* x));
/* 24 */
EXTERN void		XCopyArea _ANSI_ARGS_((Display* d, Drawable dr1, 
				Drawable dr2, GC g, int i1, int i2, 
				unsigned int ui1, unsigned int ui2, int i3, 
				int i4));
/* 25 */
EXTERN void		XCopyPlane _ANSI_ARGS_((Display* d, Drawable dr1, 
				Drawable dr2, GC g, int i1, int i2, 
				unsigned int ui1, unsigned int ui2, int i3, 
				int i4, unsigned long ul));
/* 26 */
EXTERN Pixmap		XCreateBitmapFromData _ANSI_ARGS_((Display* display, 
				Drawable d, _Xconst char* data, 
				unsigned int width, unsigned int height));
/* 27 */
EXTERN void		XDefineCursor _ANSI_ARGS_((Display* d, Window w, 
				Cursor c));
/* 28 */
EXTERN void		XDeleteProperty _ANSI_ARGS_((Display* d, Window w, 
				Atom a));
/* 29 */
EXTERN void		XDestroyWindow _ANSI_ARGS_((Display* d, Window w));
/* 30 */
EXTERN void		XDrawArc _ANSI_ARGS_((Display* d, Drawable dr, GC g, 
				int i1, int i2, unsigned int ui1, 
				unsigned int ui2, int i3, int i4));
/* 31 */
EXTERN void		XDrawLines _ANSI_ARGS_((Display* d, Drawable dr, 
				GC g, XPoint* x, int i1, int i2));
/* 32 */
EXTERN void		XDrawRectangle _ANSI_ARGS_((Display* d, Drawable dr, 
				GC g, int i1, int i2, unsigned int ui1, 
				unsigned int ui2));
/* 33 */
EXTERN void		XFillArc _ANSI_ARGS_((Display* d, Drawable dr, GC g, 
				int i1, int i2, unsigned int ui1, 
				unsigned int ui2, int i3, int i4));
/* 34 */
EXTERN void		XFillPolygon _ANSI_ARGS_((Display* d, Drawable dr, 
				GC g, XPoint* x, int i1, int i2, int i3));
/* 35 */
EXTERN void		XFillRectangles _ANSI_ARGS_((Display* d, Drawable dr, 
				GC g, XRectangle* x, int i));
/* 36 */
EXTERN void		XForceScreenSaver _ANSI_ARGS_((Display* d, int i));
/* 37 */
EXTERN void		XFreeColormap _ANSI_ARGS_((Display* d, Colormap c));
/* 38 */
EXTERN void		XFreeColors _ANSI_ARGS_((Display* d, Colormap c, 
				unsigned long* ulp, int i, unsigned long ul));
/* 39 */
EXTERN void		XFreeCursor _ANSI_ARGS_((Display* d, Cursor c));
/* 40 */
EXTERN void		XFreeModifiermap _ANSI_ARGS_((XModifierKeymap* x));
/* 41 */
EXTERN Status		XGetGeometry _ANSI_ARGS_((Display* d, Drawable dr, 
				Window* w, int* i1, int* i2, 
				unsigned int* ui1, unsigned int* ui2, 
				unsigned int* ui3, unsigned int* ui4));
/* 42 */
EXTERN void		XGetInputFocus _ANSI_ARGS_((Display* d, Window* w, 
				int* i));
/* 43 */
EXTERN int		XGetWindowProperty _ANSI_ARGS_((Display* d, Window w, 
				Atom a1, long l1, long l2, Bool b, Atom a2, 
				Atom* ap, int* ip, unsigned long* ulp1, 
				unsigned long* ulp2, unsigned char** cpp));
/* 44 */
EXTERN Status		XGetWindowAttributes _ANSI_ARGS_((Display* d, 
				Window w, XWindowAttributes* x));
/* 45 */
EXTERN int		XGrabKeyboard _ANSI_ARGS_((Display* d, Window w, 
				Bool b, int i1, int i2, Time t));
/* 46 */
EXTERN int		XGrabPointer _ANSI_ARGS_((Display* d, Window w1, 
				Bool b, unsigned int ui, int i1, int i2, 
				Window w2, Cursor c, Time t));
/* 47 */
EXTERN KeyCode		XKeysymToKeycode _ANSI_ARGS_((Display* d, KeySym k));
/* 48 */
EXTERN Status		XLookupColor _ANSI_ARGS_((Display* d, Colormap c1, 
				_Xconst char* c2, XColor* x1, XColor* x2));
/* 49 */
EXTERN void		XMapWindow _ANSI_ARGS_((Display* d, Window w));
/* 50 */
EXTERN void		XMoveResizeWindow _ANSI_ARGS_((Display* d, Window w, 
				int i1, int i2, unsigned int ui1, 
				unsigned int ui2));
/* 51 */
EXTERN void		XMoveWindow _ANSI_ARGS_((Display* d, Window w, 
				int i1, int i2));
/* 52 */
EXTERN void		XNextEvent _ANSI_ARGS_((Display* d, XEvent* x));
/* 53 */
EXTERN void		XPutBackEvent _ANSI_ARGS_((Display* d, XEvent* x));
/* 54 */
EXTERN void		XQueryColors _ANSI_ARGS_((Display* d, Colormap c, 
				XColor* x, int i));
/* 55 */
EXTERN Bool		XQueryPointer _ANSI_ARGS_((Display* d, Window w1, 
				Window* w2, Window* w3, int* i1, int* i2, 
				int* i3, int* i4, unsigned int* ui));
/* 56 */
EXTERN Status		XQueryTree _ANSI_ARGS_((Display* d, Window w1, 
				Window* w2, Window* w3, Window** w4, 
				unsigned int* ui));
/* 57 */
EXTERN void		XRaiseWindow _ANSI_ARGS_((Display* d, Window w));
/* 58 */
EXTERN void		XRefreshKeyboardMapping _ANSI_ARGS_((
				XMappingEvent* x));
/* 59 */
EXTERN void		XResizeWindow _ANSI_ARGS_((Display* d, Window w, 
				unsigned int ui1, unsigned int ui2));
/* 60 */
EXTERN void		XSelectInput _ANSI_ARGS_((Display* d, Window w, 
				long l));
/* 61 */
EXTERN Status		XSendEvent _ANSI_ARGS_((Display* d, Window w, Bool b, 
				long l, XEvent* x));
/* 62 */
EXTERN void		XSetCommand _ANSI_ARGS_((Display* d, Window w, 
				char** c, int i));
/* 63 */
EXTERN void		XSetIconName _ANSI_ARGS_((Display* d, Window w, 
				_Xconst char* c));
/* 64 */
EXTERN void		XSetInputFocus _ANSI_ARGS_((Display* d, Window w, 
				int i, Time t));
/* 65 */
EXTERN void		XSetSelectionOwner _ANSI_ARGS_((Display* d, Atom a, 
				Window w, Time t));
/* 66 */
EXTERN void		XSetWindowBackground _ANSI_ARGS_((Display* d, 
				Window w, unsigned long ul));
/* 67 */
EXTERN void		XSetWindowBackgroundPixmap _ANSI_ARGS_((Display* d, 
				Window w, Pixmap p));
/* 68 */
EXTERN void		XSetWindowBorder _ANSI_ARGS_((Display* d, Window w, 
				unsigned long ul));
/* 69 */
EXTERN void		XSetWindowBorderPixmap _ANSI_ARGS_((Display* d, 
				Window w, Pixmap p));
/* 70 */
EXTERN void		XSetWindowBorderWidth _ANSI_ARGS_((Display* d, 
				Window w, unsigned int ui));
/* 71 */
EXTERN void		XSetWindowColormap _ANSI_ARGS_((Display* d, Window w, 
				Colormap c));
/* 72 */
EXTERN Bool		XTranslateCoordinates _ANSI_ARGS_((Display* d, 
				Window w1, Window w2, int i1, int i2, 
				int* i3, int* i4, Window* w3));
/* 73 */
EXTERN void		XUngrabKeyboard _ANSI_ARGS_((Display* d, Time t));
/* 74 */
EXTERN void		XUngrabPointer _ANSI_ARGS_((Display* d, Time t));
/* 75 */
EXTERN void		XUnmapWindow _ANSI_ARGS_((Display* d, Window w));
/* 76 */
EXTERN void		XWindowEvent _ANSI_ARGS_((Display* d, Window w, 
				long l, XEvent* x));
/* 77 */
EXTERN void		XDestroyIC _ANSI_ARGS_((XIC x));
/* 78 */
EXTERN Bool		XFilterEvent _ANSI_ARGS_((XEvent* x, Window w));
/* 79 */
EXTERN int		XmbLookupString _ANSI_ARGS_((XIC xi, 
				XKeyPressedEvent* xk, char* c, int i, 
				KeySym* k, Status* s));
/* 80 */
EXTERN void		TkPutImage _ANSI_ARGS_((unsigned long * colors, 
				int ncolors, Display* display, Drawable d, 
				GC gc, XImage* image, int src_x, int src_y, 
				int dest_x, int dest_y, unsigned int width, 
				unsigned int height));
#endif /* __WIN32__ */
#ifdef MAC_TCL
/* Slot 0 is reserved */
/* 1 */
EXTERN XModifierKeymap*	 XGetModifierMapping _ANSI_ARGS_((Display* d));
/* 2 */
EXTERN XImage *		XCreateImage _ANSI_ARGS_((Display* d, Visual* v, 
				unsigned int ui1, int i1, int i2, char* cp, 
				unsigned int ui2, unsigned int ui3, int i3, 
				int i4));
/* 3 */
EXTERN XImage *		XGetImage _ANSI_ARGS_((Display* d, Drawable dr, 
				int i1, int i2, unsigned int ui1, 
				unsigned int ui2, unsigned long ul, int i3));
/* 4 */
EXTERN char *		XGetAtomName _ANSI_ARGS_((Display* d, Atom a));
/* 5 */
EXTERN char *		XKeysymToString _ANSI_ARGS_((KeySym k));
/* 6 */
EXTERN Colormap		XCreateColormap _ANSI_ARGS_((Display* d, Window w, 
				Visual* v, int i));
/* 7 */
EXTERN GContext		XGContextFromGC _ANSI_ARGS_((GC g));
/* 8 */
EXTERN KeySym		XKeycodeToKeysym _ANSI_ARGS_((Display* d, KeyCode k, 
				int i));
/* 9 */
EXTERN KeySym		XStringToKeysym _ANSI_ARGS_((_Xconst char* c));
/* 10 */
EXTERN Window		XRootWindow _ANSI_ARGS_((Display* d, int i));
/* 11 */
EXTERN XErrorHandler	XSetErrorHandler _ANSI_ARGS_((XErrorHandler x));
/* 12 */
EXTERN Status		XAllocColor _ANSI_ARGS_((Display* d, Colormap c, 
				XColor* xp));
/* 13 */
EXTERN void		XBell _ANSI_ARGS_((Display* d, int i));
/* 14 */
EXTERN void		XChangeProperty _ANSI_ARGS_((Display* d, Window w, 
				Atom a, Atom a, int i1, int i2, 
				_Xconst unsigned char* c, int i3));
/* 15 */
EXTERN void		XChangeWindowAttributes _ANSI_ARGS_((Display* d, 
				Window w, unsigned long ul, 
				XSetWindowAttributes* x));
/* 16 */
EXTERN void		XConfigureWindow _ANSI_ARGS_((Display* d, Window w, 
				unsigned int i, XWindowChanges* x));
/* 17 */
EXTERN void		XCopyArea _ANSI_ARGS_((Display* d, Drawable dr1, 
				Drawable dr2, GC g, int i1, int i2, 
				unsigned int ui1, unsigned int ui2, int i3, 
				int i4));
/* 18 */
EXTERN void		XCopyPlane _ANSI_ARGS_((Display* d, Drawable dr1, 
				Drawable dr2, GC g, int i1, int i2, 
				unsigned int ui1, unsigned int ui2, int i3, 
				int i4, unsigned long ul));
/* 19 */
EXTERN Pixmap		XCreateBitmapFromData _ANSI_ARGS_((Display* display, 
				Drawable d, _Xconst char* data, 
				unsigned int width, unsigned int height));
/* 20 */
EXTERN void		XDefineCursor _ANSI_ARGS_((Display* d, Window w, 
				Cursor c));
/* 21 */
EXTERN void		XDestroyWindow _ANSI_ARGS_((Display* d, Window w));
/* 22 */
EXTERN void		XDrawArc _ANSI_ARGS_((Display* d, Drawable dr, GC g, 
				int i1, int i2, unsigned int ui1, 
				unsigned int ui2, int i3, int i4));
/* 23 */
EXTERN void		XDrawLines _ANSI_ARGS_((Display* d, Drawable dr, 
				GC g, XPoint* x, int i1, int i2));
/* 24 */
EXTERN void		XDrawRectangle _ANSI_ARGS_((Display* d, Drawable dr, 
				GC g, int i1, int i2, unsigned int ui1, 
				unsigned int ui2));
/* 25 */
EXTERN void		XFillArc _ANSI_ARGS_((Display* d, Drawable dr, GC g, 
				int i1, int i2, unsigned int ui1, 
				unsigned int ui2, int i3, int i4));
/* 26 */
EXTERN void		XFillPolygon _ANSI_ARGS_((Display* d, Drawable dr, 
				GC g, XPoint* x, int i1, int i2, int i3));
/* 27 */
EXTERN void		XFillRectangles _ANSI_ARGS_((Display* d, Drawable dr, 
				GC g, XRectangle* x, int i));
/* 28 */
EXTERN void		XFreeColormap _ANSI_ARGS_((Display* d, Colormap c));
/* 29 */
EXTERN void		XFreeColors _ANSI_ARGS_((Display* d, Colormap c, 
				unsigned long* ulp, int i, unsigned long ul));
/* 30 */
EXTERN void		XFreeModifiermap _ANSI_ARGS_((XModifierKeymap* x));
/* 31 */
EXTERN Status		XGetGeometry _ANSI_ARGS_((Display* d, Drawable dr, 
				Window* w, int* i1, int* i2, 
				unsigned int* ui1, unsigned int* ui2, 
				unsigned int* ui3, unsigned int* ui4));
/* 32 */
EXTERN int		XGetWindowProperty _ANSI_ARGS_((Display* d, Window w, 
				Atom a1, long l1, long l2, Bool b, Atom a2, 
				Atom* ap, int* ip, unsigned long* ulp1, 
				unsigned long* ulp2, unsigned char** cpp));
/* 33 */
EXTERN int		XGrabKeyboard _ANSI_ARGS_((Display* d, Window w, 
				Bool b, int i1, int i2, Time t));
/* 34 */
EXTERN int		XGrabPointer _ANSI_ARGS_((Display* d, Window w1, 
				Bool b, unsigned int ui, int i1, int i2, 
				Window w2, Cursor c, Time t));
/* 35 */
EXTERN KeyCode		XKeysymToKeycode _ANSI_ARGS_((Display* d, KeySym k));
/* 36 */
EXTERN void		XMapWindow _ANSI_ARGS_((Display* d, Window w));
/* 37 */
EXTERN void		XMoveResizeWindow _ANSI_ARGS_((Display* d, Window w, 
				int i1, int i2, unsigned int ui1, 
				unsigned int ui2));
/* 38 */
EXTERN void		XMoveWindow _ANSI_ARGS_((Display* d, Window w, 
				int i1, int i2));
/* 39 */
EXTERN Bool		XQueryPointer _ANSI_ARGS_((Display* d, Window w1, 
				Window* w2, Window* w3, int* i1, int* i2, 
				int* i3, int* i4, unsigned int* ui));
/* 40 */
EXTERN void		XRaiseWindow _ANSI_ARGS_((Display* d, Window w));
/* 41 */
EXTERN void		XRefreshKeyboardMapping _ANSI_ARGS_((
				XMappingEvent* x));
/* 42 */
EXTERN void		XResizeWindow _ANSI_ARGS_((Display* d, Window w, 
				unsigned int ui1, unsigned int ui2));
/* 43 */
EXTERN void		XSelectInput _ANSI_ARGS_((Display* d, Window w, 
				long l));
/* 44 */
EXTERN Status		XSendEvent _ANSI_ARGS_((Display* d, Window w, Bool b, 
				long l, XEvent* x));
/* 45 */
EXTERN void		XSetIconName _ANSI_ARGS_((Display* d, Window w, 
				_Xconst char* c));
/* 46 */
EXTERN void		XSetInputFocus _ANSI_ARGS_((Display* d, Window w, 
				int i, Time t));
/* 47 */
EXTERN void		XSetSelectionOwner _ANSI_ARGS_((Display* d, Atom a, 
				Window w, Time t));
/* 48 */
EXTERN void		XSetWindowBackground _ANSI_ARGS_((Display* d, 
				Window w, unsigned long ul));
/* 49 */
EXTERN void		XSetWindowBackgroundPixmap _ANSI_ARGS_((Display* d, 
				Window w, Pixmap p));
/* 50 */
EXTERN void		XSetWindowBorder _ANSI_ARGS_((Display* d, Window w, 
				unsigned long ul));
/* 51 */
EXTERN void		XSetWindowBorderPixmap _ANSI_ARGS_((Display* d, 
				Window w, Pixmap p));
/* 52 */
EXTERN void		XSetWindowBorderWidth _ANSI_ARGS_((Display* d, 
				Window w, unsigned int ui));
/* 53 */
EXTERN void		XSetWindowColormap _ANSI_ARGS_((Display* d, Window w, 
				Colormap c));
/* 54 */
EXTERN void		XUngrabKeyboard _ANSI_ARGS_((Display* d, Time t));
/* 55 */
EXTERN void		XUngrabPointer _ANSI_ARGS_((Display* d, Time t));
/* 56 */
EXTERN void		XUnmapWindow _ANSI_ARGS_((Display* d, Window w));
/* 57 */
EXTERN void		TkPutImage _ANSI_ARGS_((unsigned long * colors, 
				int ncolors, Display* display, Drawable d, 
				GC gc, XImage* image, int src_x, int src_y, 
				int dest_x, int dest_y, unsigned int width, 
				unsigned int height));
#endif /* MAC_TCL */

typedef struct TkIntXlibStubs {
    int magic;
    struct TkIntXlibStubHooks *hooks;

#ifdef __WIN32__
    void *reserved0;
    XModifierKeymap* (*xGetModifierMapping) _ANSI_ARGS_((Display* d)); /* 1 */
    XImage * (*xCreateImage) _ANSI_ARGS_((Display* d, Visual* v, unsigned int ui1, int i1, int i2, char* cp, unsigned int ui2, unsigned int ui3, int i3, int i4)); /* 2 */
    XImage * (*xGetImage) _ANSI_ARGS_((Display* d, Drawable dr, int i1, int i2, unsigned int ui1, unsigned int ui2, unsigned long ul, int i3)); /* 3 */
    char * (*xGetAtomName) _ANSI_ARGS_((Display* d, Atom a)); /* 4 */
    char * (*xKeysymToString) _ANSI_ARGS_((KeySym k)); /* 5 */
    Colormap (*xCreateColormap) _ANSI_ARGS_((Display* d, Window w, Visual* v, int i)); /* 6 */
    Cursor (*xCreatePixmapCursor) _ANSI_ARGS_((Display* d, Pixmap p1, Pixmap p2, XColor* x1, XColor* x2, unsigned int ui1, unsigned int ui2)); /* 7 */
    Cursor (*xCreateGlyphCursor) _ANSI_ARGS_((Display* d, Font f1, Font f2, unsigned int ui1, unsigned int ui2, XColor* x1, XColor* x2)); /* 8 */
    GContext (*xGContextFromGC) _ANSI_ARGS_((GC g)); /* 9 */
    XHostAddress * (*xListHosts) _ANSI_ARGS_((Display* d, int* i, Bool* b)); /* 10 */
    KeySym (*xKeycodeToKeysym) _ANSI_ARGS_((Display* d, unsigned int k, int i)); /* 11 */
    KeySym (*xStringToKeysym) _ANSI_ARGS_((_Xconst char* c)); /* 12 */
    Window (*xRootWindow) _ANSI_ARGS_((Display* d, int i)); /* 13 */
    XErrorHandler (*xSetErrorHandler) _ANSI_ARGS_((XErrorHandler x)); /* 14 */
    Status (*xIconifyWindow) _ANSI_ARGS_((Display* d, Window w, int i)); /* 15 */
    Status (*xWithdrawWindow) _ANSI_ARGS_((Display* d, Window w, int i)); /* 16 */
    Status (*xGetWMColormapWindows) _ANSI_ARGS_((Display* d, Window w, Window** wpp, int* ip)); /* 17 */
    Status (*xAllocColor) _ANSI_ARGS_((Display* d, Colormap c, XColor* xp)); /* 18 */
    void (*xBell) _ANSI_ARGS_((Display* d, int i)); /* 19 */
    void (*xChangeProperty) _ANSI_ARGS_((Display* d, Window w, Atom a1, Atom a2, int i1, int i2, _Xconst unsigned char* c, int i3)); /* 20 */
    void (*xChangeWindowAttributes) _ANSI_ARGS_((Display* d, Window w, unsigned long ul, XSetWindowAttributes* x)); /* 21 */
    void (*xClearWindow) _ANSI_ARGS_((Display* d, Window w)); /* 22 */
    void (*xConfigureWindow) _ANSI_ARGS_((Display* d, Window w, unsigned int i, XWindowChanges* x)); /* 23 */
    void (*xCopyArea) _ANSI_ARGS_((Display* d, Drawable dr1, Drawable dr2, GC g, int i1, int i2, unsigned int ui1, unsigned int ui2, int i3, int i4)); /* 24 */
    void (*xCopyPlane) _ANSI_ARGS_((Display* d, Drawable dr1, Drawable dr2, GC g, int i1, int i2, unsigned int ui1, unsigned int ui2, int i3, int i4, unsigned long ul)); /* 25 */
    Pixmap (*xCreateBitmapFromData) _ANSI_ARGS_((Display* display, Drawable d, _Xconst char* data, unsigned int width, unsigned int height)); /* 26 */
    void (*xDefineCursor) _ANSI_ARGS_((Display* d, Window w, Cursor c)); /* 27 */
    void (*xDeleteProperty) _ANSI_ARGS_((Display* d, Window w, Atom a)); /* 28 */
    void (*xDestroyWindow) _ANSI_ARGS_((Display* d, Window w)); /* 29 */
    void (*xDrawArc) _ANSI_ARGS_((Display* d, Drawable dr, GC g, int i1, int i2, unsigned int ui1, unsigned int ui2, int i3, int i4)); /* 30 */
    void (*xDrawLines) _ANSI_ARGS_((Display* d, Drawable dr, GC g, XPoint* x, int i1, int i2)); /* 31 */
    void (*xDrawRectangle) _ANSI_ARGS_((Display* d, Drawable dr, GC g, int i1, int i2, unsigned int ui1, unsigned int ui2)); /* 32 */
    void (*xFillArc) _ANSI_ARGS_((Display* d, Drawable dr, GC g, int i1, int i2, unsigned int ui1, unsigned int ui2, int i3, int i4)); /* 33 */
    void (*xFillPolygon) _ANSI_ARGS_((Display* d, Drawable dr, GC g, XPoint* x, int i1, int i2, int i3)); /* 34 */
    void (*xFillRectangles) _ANSI_ARGS_((Display* d, Drawable dr, GC g, XRectangle* x, int i)); /* 35 */
    void (*xForceScreenSaver) _ANSI_ARGS_((Display* d, int i)); /* 36 */
    void (*xFreeColormap) _ANSI_ARGS_((Display* d, Colormap c)); /* 37 */
    void (*xFreeColors) _ANSI_ARGS_((Display* d, Colormap c, unsigned long* ulp, int i, unsigned long ul)); /* 38 */
    void (*xFreeCursor) _ANSI_ARGS_((Display* d, Cursor c)); /* 39 */
    void (*xFreeModifiermap) _ANSI_ARGS_((XModifierKeymap* x)); /* 40 */
    Status (*xGetGeometry) _ANSI_ARGS_((Display* d, Drawable dr, Window* w, int* i1, int* i2, unsigned int* ui1, unsigned int* ui2, unsigned int* ui3, unsigned int* ui4)); /* 41 */
    void (*xGetInputFocus) _ANSI_ARGS_((Display* d, Window* w, int* i)); /* 42 */
    int (*xGetWindowProperty) _ANSI_ARGS_((Display* d, Window w, Atom a1, long l1, long l2, Bool b, Atom a2, Atom* ap, int* ip, unsigned long* ulp1, unsigned long* ulp2, unsigned char** cpp)); /* 43 */
    Status (*xGetWindowAttributes) _ANSI_ARGS_((Display* d, Window w, XWindowAttributes* x)); /* 44 */
    int (*xGrabKeyboard) _ANSI_ARGS_((Display* d, Window w, Bool b, int i1, int i2, Time t)); /* 45 */
    int (*xGrabPointer) _ANSI_ARGS_((Display* d, Window w1, Bool b, unsigned int ui, int i1, int i2, Window w2, Cursor c, Time t)); /* 46 */
    KeyCode (*xKeysymToKeycode) _ANSI_ARGS_((Display* d, KeySym k)); /* 47 */
    Status (*xLookupColor) _ANSI_ARGS_((Display* d, Colormap c1, _Xconst char* c2, XColor* x1, XColor* x2)); /* 48 */
    void (*xMapWindow) _ANSI_ARGS_((Display* d, Window w)); /* 49 */
    void (*xMoveResizeWindow) _ANSI_ARGS_((Display* d, Window w, int i1, int i2, unsigned int ui1, unsigned int ui2)); /* 50 */
    void (*xMoveWindow) _ANSI_ARGS_((Display* d, Window w, int i1, int i2)); /* 51 */
    void (*xNextEvent) _ANSI_ARGS_((Display* d, XEvent* x)); /* 52 */
    void (*xPutBackEvent) _ANSI_ARGS_((Display* d, XEvent* x)); /* 53 */
    void (*xQueryColors) _ANSI_ARGS_((Display* d, Colormap c, XColor* x, int i)); /* 54 */
    Bool (*xQueryPointer) _ANSI_ARGS_((Display* d, Window w1, Window* w2, Window* w3, int* i1, int* i2, int* i3, int* i4, unsigned int* ui)); /* 55 */
    Status (*xQueryTree) _ANSI_ARGS_((Display* d, Window w1, Window* w2, Window* w3, Window** w4, unsigned int* ui)); /* 56 */
    void (*xRaiseWindow) _ANSI_ARGS_((Display* d, Window w)); /* 57 */
    void (*xRefreshKeyboardMapping) _ANSI_ARGS_((XMappingEvent* x)); /* 58 */
    void (*xResizeWindow) _ANSI_ARGS_((Display* d, Window w, unsigned int ui1, unsigned int ui2)); /* 59 */
    void (*xSelectInput) _ANSI_ARGS_((Display* d, Window w, long l)); /* 60 */
    Status (*xSendEvent) _ANSI_ARGS_((Display* d, Window w, Bool b, long l, XEvent* x)); /* 61 */
    void (*xSetCommand) _ANSI_ARGS_((Display* d, Window w, char** c, int i)); /* 62 */
    void (*xSetIconName) _ANSI_ARGS_((Display* d, Window w, _Xconst char* c)); /* 63 */
    void (*xSetInputFocus) _ANSI_ARGS_((Display* d, Window w, int i, Time t)); /* 64 */
    void (*xSetSelectionOwner) _ANSI_ARGS_((Display* d, Atom a, Window w, Time t)); /* 65 */
    void (*xSetWindowBackground) _ANSI_ARGS_((Display* d, Window w, unsigned long ul)); /* 66 */
    void (*xSetWindowBackgroundPixmap) _ANSI_ARGS_((Display* d, Window w, Pixmap p)); /* 67 */
    void (*xSetWindowBorder) _ANSI_ARGS_((Display* d, Window w, unsigned long ul)); /* 68 */
    void (*xSetWindowBorderPixmap) _ANSI_ARGS_((Display* d, Window w, Pixmap p)); /* 69 */
    void (*xSetWindowBorderWidth) _ANSI_ARGS_((Display* d, Window w, unsigned int ui)); /* 70 */
    void (*xSetWindowColormap) _ANSI_ARGS_((Display* d, Window w, Colormap c)); /* 71 */
    Bool (*xTranslateCoordinates) _ANSI_ARGS_((Display* d, Window w1, Window w2, int i1, int i2, int* i3, int* i4, Window* w3)); /* 72 */
    void (*xUngrabKeyboard) _ANSI_ARGS_((Display* d, Time t)); /* 73 */
    void (*xUngrabPointer) _ANSI_ARGS_((Display* d, Time t)); /* 74 */
    void (*xUnmapWindow) _ANSI_ARGS_((Display* d, Window w)); /* 75 */
    void (*xWindowEvent) _ANSI_ARGS_((Display* d, Window w, long l, XEvent* x)); /* 76 */
    void (*xDestroyIC) _ANSI_ARGS_((XIC x)); /* 77 */
    Bool (*xFilterEvent) _ANSI_ARGS_((XEvent* x, Window w)); /* 78 */
    int (*xmbLookupString) _ANSI_ARGS_((XIC xi, XKeyPressedEvent* xk, char* c, int i, KeySym* k, Status* s)); /* 79 */
    void (*tkPutImage) _ANSI_ARGS_((unsigned long * colors, int ncolors, Display* display, Drawable d, GC gc, XImage* image, int src_x, int src_y, int dest_x, int dest_y, unsigned int width, unsigned int height)); /* 80 */
#endif /* __WIN32__ */
#ifdef MAC_TCL
    void *reserved0;
    XModifierKeymap* (*xGetModifierMapping) _ANSI_ARGS_((Display* d)); /* 1 */
    XImage * (*xCreateImage) _ANSI_ARGS_((Display* d, Visual* v, unsigned int ui1, int i1, int i2, char* cp, unsigned int ui2, unsigned int ui3, int i3, int i4)); /* 2 */
    XImage * (*xGetImage) _ANSI_ARGS_((Display* d, Drawable dr, int i1, int i2, unsigned int ui1, unsigned int ui2, unsigned long ul, int i3)); /* 3 */
    char * (*xGetAtomName) _ANSI_ARGS_((Display* d, Atom a)); /* 4 */
    char * (*xKeysymToString) _ANSI_ARGS_((KeySym k)); /* 5 */
    Colormap (*xCreateColormap) _ANSI_ARGS_((Display* d, Window w, Visual* v, int i)); /* 6 */
    GContext (*xGContextFromGC) _ANSI_ARGS_((GC g)); /* 7 */
    KeySym (*xKeycodeToKeysym) _ANSI_ARGS_((Display* d, KeyCode k, int i)); /* 8 */
    KeySym (*xStringToKeysym) _ANSI_ARGS_((_Xconst char* c)); /* 9 */
    Window (*xRootWindow) _ANSI_ARGS_((Display* d, int i)); /* 10 */
    XErrorHandler (*xSetErrorHandler) _ANSI_ARGS_((XErrorHandler x)); /* 11 */
    Status (*xAllocColor) _ANSI_ARGS_((Display* d, Colormap c, XColor* xp)); /* 12 */
    void (*xBell) _ANSI_ARGS_((Display* d, int i)); /* 13 */
    void (*xChangeProperty) _ANSI_ARGS_((Display* d, Window w, Atom a, Atom a, int i1, int i2, _Xconst unsigned char* c, int i3)); /* 14 */
    void (*xChangeWindowAttributes) _ANSI_ARGS_((Display* d, Window w, unsigned long ul, XSetWindowAttributes* x)); /* 15 */
    void (*xConfigureWindow) _ANSI_ARGS_((Display* d, Window w, unsigned int i, XWindowChanges* x)); /* 16 */
    void (*xCopyArea) _ANSI_ARGS_((Display* d, Drawable dr1, Drawable dr2, GC g, int i1, int i2, unsigned int ui1, unsigned int ui2, int i3, int i4)); /* 17 */
    void (*xCopyPlane) _ANSI_ARGS_((Display* d, Drawable dr1, Drawable dr2, GC g, int i1, int i2, unsigned int ui1, unsigned int ui2, int i3, int i4, unsigned long ul)); /* 18 */
    Pixmap (*xCreateBitmapFromData) _ANSI_ARGS_((Display* display, Drawable d, _Xconst char* data, unsigned int width, unsigned int height)); /* 19 */
    void (*xDefineCursor) _ANSI_ARGS_((Display* d, Window w, Cursor c)); /* 20 */
    void (*xDestroyWindow) _ANSI_ARGS_((Display* d, Window w)); /* 21 */
    void (*xDrawArc) _ANSI_ARGS_((Display* d, Drawable dr, GC g, int i1, int i2, unsigned int ui1, unsigned int ui2, int i3, int i4)); /* 22 */
    void (*xDrawLines) _ANSI_ARGS_((Display* d, Drawable dr, GC g, XPoint* x, int i1, int i2)); /* 23 */
    void (*xDrawRectangle) _ANSI_ARGS_((Display* d, Drawable dr, GC g, int i1, int i2, unsigned int ui1, unsigned int ui2)); /* 24 */
    void (*xFillArc) _ANSI_ARGS_((Display* d, Drawable dr, GC g, int i1, int i2, unsigned int ui1, unsigned int ui2, int i3, int i4)); /* 25 */
    void (*xFillPolygon) _ANSI_ARGS_((Display* d, Drawable dr, GC g, XPoint* x, int i1, int i2, int i3)); /* 26 */
    void (*xFillRectangles) _ANSI_ARGS_((Display* d, Drawable dr, GC g, XRectangle* x, int i)); /* 27 */
    void (*xFreeColormap) _ANSI_ARGS_((Display* d, Colormap c)); /* 28 */
    void (*xFreeColors) _ANSI_ARGS_((Display* d, Colormap c, unsigned long* ulp, int i, unsigned long ul)); /* 29 */
    void (*xFreeModifiermap) _ANSI_ARGS_((XModifierKeymap* x)); /* 30 */
    Status (*xGetGeometry) _ANSI_ARGS_((Display* d, Drawable dr, Window* w, int* i1, int* i2, unsigned int* ui1, unsigned int* ui2, unsigned int* ui3, unsigned int* ui4)); /* 31 */
    int (*xGetWindowProperty) _ANSI_ARGS_((Display* d, Window w, Atom a1, long l1, long l2, Bool b, Atom a2, Atom* ap, int* ip, unsigned long* ulp1, unsigned long* ulp2, unsigned char** cpp)); /* 32 */
    int (*xGrabKeyboard) _ANSI_ARGS_((Display* d, Window w, Bool b, int i1, int i2, Time t)); /* 33 */
    int (*xGrabPointer) _ANSI_ARGS_((Display* d, Window w1, Bool b, unsigned int ui, int i1, int i2, Window w2, Cursor c, Time t)); /* 34 */
    KeyCode (*xKeysymToKeycode) _ANSI_ARGS_((Display* d, KeySym k)); /* 35 */
    void (*xMapWindow) _ANSI_ARGS_((Display* d, Window w)); /* 36 */
    void (*xMoveResizeWindow) _ANSI_ARGS_((Display* d, Window w, int i1, int i2, unsigned int ui1, unsigned int ui2)); /* 37 */
    void (*xMoveWindow) _ANSI_ARGS_((Display* d, Window w, int i1, int i2)); /* 38 */
    Bool (*xQueryPointer) _ANSI_ARGS_((Display* d, Window w1, Window* w2, Window* w3, int* i1, int* i2, int* i3, int* i4, unsigned int* ui)); /* 39 */
    void (*xRaiseWindow) _ANSI_ARGS_((Display* d, Window w)); /* 40 */
    void (*xRefreshKeyboardMapping) _ANSI_ARGS_((XMappingEvent* x)); /* 41 */
    void (*xResizeWindow) _ANSI_ARGS_((Display* d, Window w, unsigned int ui1, unsigned int ui2)); /* 42 */
    void (*xSelectInput) _ANSI_ARGS_((Display* d, Window w, long l)); /* 43 */
    Status (*xSendEvent) _ANSI_ARGS_((Display* d, Window w, Bool b, long l, XEvent* x)); /* 44 */
    void (*xSetIconName) _ANSI_ARGS_((Display* d, Window w, _Xconst char* c)); /* 45 */
    void (*xSetInputFocus) _ANSI_ARGS_((Display* d, Window w, int i, Time t)); /* 46 */
    void (*xSetSelectionOwner) _ANSI_ARGS_((Display* d, Atom a, Window w, Time t)); /* 47 */
    void (*xSetWindowBackground) _ANSI_ARGS_((Display* d, Window w, unsigned long ul)); /* 48 */
    void (*xSetWindowBackgroundPixmap) _ANSI_ARGS_((Display* d, Window w, Pixmap p)); /* 49 */
    void (*xSetWindowBorder) _ANSI_ARGS_((Display* d, Window w, unsigned long ul)); /* 50 */
    void (*xSetWindowBorderPixmap) _ANSI_ARGS_((Display* d, Window w, Pixmap p)); /* 51 */
    void (*xSetWindowBorderWidth) _ANSI_ARGS_((Display* d, Window w, unsigned int ui)); /* 52 */
    void (*xSetWindowColormap) _ANSI_ARGS_((Display* d, Window w, Colormap c)); /* 53 */
    void (*xUngrabKeyboard) _ANSI_ARGS_((Display* d, Time t)); /* 54 */
    void (*xUngrabPointer) _ANSI_ARGS_((Display* d, Time t)); /* 55 */
    void (*xUnmapWindow) _ANSI_ARGS_((Display* d, Window w)); /* 56 */
    void (*tkPutImage) _ANSI_ARGS_((unsigned long * colors, int ncolors, Display* display, Drawable d, GC gc, XImage* image, int src_x, int src_y, int dest_x, int dest_y, unsigned int width, unsigned int height)); /* 57 */
#endif /* MAC_TCL */
} TkIntXlibStubs;

extern TkIntXlibStubs *tkIntXlibStubsPtr;

#if defined(USE_TK_STUBS) && !defined(USE_TK_STUB_PROCS)

/*
 * Inline function declarations:
 */

#ifdef __WIN32__
/* Slot 0 is reserved */
#ifndef XGetModifierMapping
#define XGetModifierMapping(d) \
	(tkIntXlibStubsPtr->xGetModifierMapping)(d) /* 1 */
#endif
#ifndef XCreateImage
#define XCreateImage(d, v, ui1, i1, i2, cp, ui2, ui3, i3, i4) \
	(tkIntXlibStubsPtr->xCreateImage)(d, v, ui1, i1, i2, cp, ui2, ui3, i3, i4) /* 2 */
#endif
#ifndef XGetImage
#define XGetImage(d, dr, i1, i2, ui1, ui2, ul, i3) \
	(tkIntXlibStubsPtr->xGetImage)(d, dr, i1, i2, ui1, ui2, ul, i3) /* 3 */
#endif
#ifndef XGetAtomName
#define XGetAtomName(d, a) \
	(tkIntXlibStubsPtr->xGetAtomName)(d, a) /* 4 */
#endif
#ifndef XKeysymToString
#define XKeysymToString(k) \
	(tkIntXlibStubsPtr->xKeysymToString)(k) /* 5 */
#endif
#ifndef XCreateColormap
#define XCreateColormap(d, w, v, i) \
	(tkIntXlibStubsPtr->xCreateColormap)(d, w, v, i) /* 6 */
#endif
#ifndef XCreatePixmapCursor
#define XCreatePixmapCursor(d, p1, p2, x1, x2, ui1, ui2) \
	(tkIntXlibStubsPtr->xCreatePixmapCursor)(d, p1, p2, x1, x2, ui1, ui2) /* 7 */
#endif
#ifndef XCreateGlyphCursor
#define XCreateGlyphCursor(d, f1, f2, ui1, ui2, x1, x2) \
	(tkIntXlibStubsPtr->xCreateGlyphCursor)(d, f1, f2, ui1, ui2, x1, x2) /* 8 */
#endif
#ifndef XGContextFromGC
#define XGContextFromGC(g) \
	(tkIntXlibStubsPtr->xGContextFromGC)(g) /* 9 */
#endif
#ifndef XListHosts
#define XListHosts(d, i, b) \
	(tkIntXlibStubsPtr->xListHosts)(d, i, b) /* 10 */
#endif
#ifndef XKeycodeToKeysym
#define XKeycodeToKeysym(d, k, i) \
	(tkIntXlibStubsPtr->xKeycodeToKeysym)(d, k, i) /* 11 */
#endif
#ifndef XStringToKeysym
#define XStringToKeysym(c) \
	(tkIntXlibStubsPtr->xStringToKeysym)(c) /* 12 */
#endif
#ifndef XRootWindow
#define XRootWindow(d, i) \
	(tkIntXlibStubsPtr->xRootWindow)(d, i) /* 13 */
#endif
#ifndef XSetErrorHandler
#define XSetErrorHandler(x) \
	(tkIntXlibStubsPtr->xSetErrorHandler)(x) /* 14 */
#endif
#ifndef XIconifyWindow
#define XIconifyWindow(d, w, i) \
	(tkIntXlibStubsPtr->xIconifyWindow)(d, w, i) /* 15 */
#endif
#ifndef XWithdrawWindow
#define XWithdrawWindow(d, w, i) \
	(tkIntXlibStubsPtr->xWithdrawWindow)(d, w, i) /* 16 */
#endif
#ifndef XGetWMColormapWindows
#define XGetWMColormapWindows(d, w, wpp, ip) \
	(tkIntXlibStubsPtr->xGetWMColormapWindows)(d, w, wpp, ip) /* 17 */
#endif
#ifndef XAllocColor
#define XAllocColor(d, c, xp) \
	(tkIntXlibStubsPtr->xAllocColor)(d, c, xp) /* 18 */
#endif
#ifndef XBell
#define XBell(d, i) \
	(tkIntXlibStubsPtr->xBell)(d, i) /* 19 */
#endif
#ifndef XChangeProperty
#define XChangeProperty(d, w, a1, a2, i1, i2, c, i3) \
	(tkIntXlibStubsPtr->xChangeProperty)(d, w, a1, a2, i1, i2, c, i3) /* 20 */
#endif
#ifndef XChangeWindowAttributes
#define XChangeWindowAttributes(d, w, ul, x) \
	(tkIntXlibStubsPtr->xChangeWindowAttributes)(d, w, ul, x) /* 21 */
#endif
#ifndef XClearWindow
#define XClearWindow(d, w) \
	(tkIntXlibStubsPtr->xClearWindow)(d, w) /* 22 */
#endif
#ifndef XConfigureWindow
#define XConfigureWindow(d, w, i, x) \
	(tkIntXlibStubsPtr->xConfigureWindow)(d, w, i, x) /* 23 */
#endif
#ifndef XCopyArea
#define XCopyArea(d, dr1, dr2, g, i1, i2, ui1, ui2, i3, i4) \
	(tkIntXlibStubsPtr->xCopyArea)(d, dr1, dr2, g, i1, i2, ui1, ui2, i3, i4) /* 24 */
#endif
#ifndef XCopyPlane
#define XCopyPlane(d, dr1, dr2, g, i1, i2, ui1, ui2, i3, i4, ul) \
	(tkIntXlibStubsPtr->xCopyPlane)(d, dr1, dr2, g, i1, i2, ui1, ui2, i3, i4, ul) /* 25 */
#endif
#ifndef XCreateBitmapFromData
#define XCreateBitmapFromData(display, d, data, width, height) \
	(tkIntXlibStubsPtr->xCreateBitmapFromData)(display, d, data, width, height) /* 26 */
#endif
#ifndef XDefineCursor
#define XDefineCursor(d, w, c) \
	(tkIntXlibStubsPtr->xDefineCursor)(d, w, c) /* 27 */
#endif
#ifndef XDeleteProperty
#define XDeleteProperty(d, w, a) \
	(tkIntXlibStubsPtr->xDeleteProperty)(d, w, a) /* 28 */
#endif
#ifndef XDestroyWindow
#define XDestroyWindow(d, w) \
	(tkIntXlibStubsPtr->xDestroyWindow)(d, w) /* 29 */
#endif
#ifndef XDrawArc
#define XDrawArc(d, dr, g, i1, i2, ui1, ui2, i3, i4) \
	(tkIntXlibStubsPtr->xDrawArc)(d, dr, g, i1, i2, ui1, ui2, i3, i4) /* 30 */
#endif
#ifndef XDrawLines
#define XDrawLines(d, dr, g, x, i1, i2) \
	(tkIntXlibStubsPtr->xDrawLines)(d, dr, g, x, i1, i2) /* 31 */
#endif
#ifndef XDrawRectangle
#define XDrawRectangle(d, dr, g, i1, i2, ui1, ui2) \
	(tkIntXlibStubsPtr->xDrawRectangle)(d, dr, g, i1, i2, ui1, ui2) /* 32 */
#endif
#ifndef XFillArc
#define XFillArc(d, dr, g, i1, i2, ui1, ui2, i3, i4) \
	(tkIntXlibStubsPtr->xFillArc)(d, dr, g, i1, i2, ui1, ui2, i3, i4) /* 33 */
#endif
#ifndef XFillPolygon
#define XFillPolygon(d, dr, g, x, i1, i2, i3) \
	(tkIntXlibStubsPtr->xFillPolygon)(d, dr, g, x, i1, i2, i3) /* 34 */
#endif
#ifndef XFillRectangles
#define XFillRectangles(d, dr, g, x, i) \
	(tkIntXlibStubsPtr->xFillRectangles)(d, dr, g, x, i) /* 35 */
#endif
#ifndef XForceScreenSaver
#define XForceScreenSaver(d, i) \
	(tkIntXlibStubsPtr->xForceScreenSaver)(d, i) /* 36 */
#endif
#ifndef XFreeColormap
#define XFreeColormap(d, c) \
	(tkIntXlibStubsPtr->xFreeColormap)(d, c) /* 37 */
#endif
#ifndef XFreeColors
#define XFreeColors(d, c, ulp, i, ul) \
	(tkIntXlibStubsPtr->xFreeColors)(d, c, ulp, i, ul) /* 38 */
#endif
#ifndef XFreeCursor
#define XFreeCursor(d, c) \
	(tkIntXlibStubsPtr->xFreeCursor)(d, c) /* 39 */
#endif
#ifndef XFreeModifiermap
#define XFreeModifiermap(x) \
	(tkIntXlibStubsPtr->xFreeModifiermap)(x) /* 40 */
#endif
#ifndef XGetGeometry
#define XGetGeometry(d, dr, w, i1, i2, ui1, ui2, ui3, ui4) \
	(tkIntXlibStubsPtr->xGetGeometry)(d, dr, w, i1, i2, ui1, ui2, ui3, ui4) /* 41 */
#endif
#ifndef XGetInputFocus
#define XGetInputFocus(d, w, i) \
	(tkIntXlibStubsPtr->xGetInputFocus)(d, w, i) /* 42 */
#endif
#ifndef XGetWindowProperty
#define XGetWindowProperty(d, w, a1, l1, l2, b, a2, ap, ip, ulp1, ulp2, cpp) \
	(tkIntXlibStubsPtr->xGetWindowProperty)(d, w, a1, l1, l2, b, a2, ap, ip, ulp1, ulp2, cpp) /* 43 */
#endif
#ifndef XGetWindowAttributes
#define XGetWindowAttributes(d, w, x) \
	(tkIntXlibStubsPtr->xGetWindowAttributes)(d, w, x) /* 44 */
#endif
#ifndef XGrabKeyboard
#define XGrabKeyboard(d, w, b, i1, i2, t) \
	(tkIntXlibStubsPtr->xGrabKeyboard)(d, w, b, i1, i2, t) /* 45 */
#endif
#ifndef XGrabPointer
#define XGrabPointer(d, w1, b, ui, i1, i2, w2, c, t) \
	(tkIntXlibStubsPtr->xGrabPointer)(d, w1, b, ui, i1, i2, w2, c, t) /* 46 */
#endif
#ifndef XKeysymToKeycode
#define XKeysymToKeycode(d, k) \
	(tkIntXlibStubsPtr->xKeysymToKeycode)(d, k) /* 47 */
#endif
#ifndef XLookupColor
#define XLookupColor(d, c1, c2, x1, x2) \
	(tkIntXlibStubsPtr->xLookupColor)(d, c1, c2, x1, x2) /* 48 */
#endif
#ifndef XMapWindow
#define XMapWindow(d, w) \
	(tkIntXlibStubsPtr->xMapWindow)(d, w) /* 49 */
#endif
#ifndef XMoveResizeWindow
#define XMoveResizeWindow(d, w, i1, i2, ui1, ui2) \
	(tkIntXlibStubsPtr->xMoveResizeWindow)(d, w, i1, i2, ui1, ui2) /* 50 */
#endif
#ifndef XMoveWindow
#define XMoveWindow(d, w, i1, i2) \
	(tkIntXlibStubsPtr->xMoveWindow)(d, w, i1, i2) /* 51 */
#endif
#ifndef XNextEvent
#define XNextEvent(d, x) \
	(tkIntXlibStubsPtr->xNextEvent)(d, x) /* 52 */
#endif
#ifndef XPutBackEvent
#define XPutBackEvent(d, x) \
	(tkIntXlibStubsPtr->xPutBackEvent)(d, x) /* 53 */
#endif
#ifndef XQueryColors
#define XQueryColors(d, c, x, i) \
	(tkIntXlibStubsPtr->xQueryColors)(d, c, x, i) /* 54 */
#endif
#ifndef XQueryPointer
#define XQueryPointer(d, w1, w2, w3, i1, i2, i3, i4, ui) \
	(tkIntXlibStubsPtr->xQueryPointer)(d, w1, w2, w3, i1, i2, i3, i4, ui) /* 55 */
#endif
#ifndef XQueryTree
#define XQueryTree(d, w1, w2, w3, w4, ui) \
	(tkIntXlibStubsPtr->xQueryTree)(d, w1, w2, w3, w4, ui) /* 56 */
#endif
#ifndef XRaiseWindow
#define XRaiseWindow(d, w) \
	(tkIntXlibStubsPtr->xRaiseWindow)(d, w) /* 57 */
#endif
#ifndef XRefreshKeyboardMapping
#define XRefreshKeyboardMapping(x) \
	(tkIntXlibStubsPtr->xRefreshKeyboardMapping)(x) /* 58 */
#endif
#ifndef XResizeWindow
#define XResizeWindow(d, w, ui1, ui2) \
	(tkIntXlibStubsPtr->xResizeWindow)(d, w, ui1, ui2) /* 59 */
#endif
#ifndef XSelectInput
#define XSelectInput(d, w, l) \
	(tkIntXlibStubsPtr->xSelectInput)(d, w, l) /* 60 */
#endif
#ifndef XSendEvent
#define XSendEvent(d, w, b, l, x) \
	(tkIntXlibStubsPtr->xSendEvent)(d, w, b, l, x) /* 61 */
#endif
#ifndef XSetCommand
#define XSetCommand(d, w, c, i) \
	(tkIntXlibStubsPtr->xSetCommand)(d, w, c, i) /* 62 */
#endif
#ifndef XSetIconName
#define XSetIconName(d, w, c) \
	(tkIntXlibStubsPtr->xSetIconName)(d, w, c) /* 63 */
#endif
#ifndef XSetInputFocus
#define XSetInputFocus(d, w, i, t) \
	(tkIntXlibStubsPtr->xSetInputFocus)(d, w, i, t) /* 64 */
#endif
#ifndef XSetSelectionOwner
#define XSetSelectionOwner(d, a, w, t) \
	(tkIntXlibStubsPtr->xSetSelectionOwner)(d, a, w, t) /* 65 */
#endif
#ifndef XSetWindowBackground
#define XSetWindowBackground(d, w, ul) \
	(tkIntXlibStubsPtr->xSetWindowBackground)(d, w, ul) /* 66 */
#endif
#ifndef XSetWindowBackgroundPixmap
#define XSetWindowBackgroundPixmap(d, w, p) \
	(tkIntXlibStubsPtr->xSetWindowBackgroundPixmap)(d, w, p) /* 67 */
#endif
#ifndef XSetWindowBorder
#define XSetWindowBorder(d, w, ul) \
	(tkIntXlibStubsPtr->xSetWindowBorder)(d, w, ul) /* 68 */
#endif
#ifndef XSetWindowBorderPixmap
#define XSetWindowBorderPixmap(d, w, p) \
	(tkIntXlibStubsPtr->xSetWindowBorderPixmap)(d, w, p) /* 69 */
#endif
#ifndef XSetWindowBorderWidth
#define XSetWindowBorderWidth(d, w, ui) \
	(tkIntXlibStubsPtr->xSetWindowBorderWidth)(d, w, ui) /* 70 */
#endif
#ifndef XSetWindowColormap
#define XSetWindowColormap(d, w, c) \
	(tkIntXlibStubsPtr->xSetWindowColormap)(d, w, c) /* 71 */
#endif
#ifndef XTranslateCoordinates
#define XTranslateCoordinates(d, w1, w2, i1, i2, i3, i4, w3) \
	(tkIntXlibStubsPtr->xTranslateCoordinates)(d, w1, w2, i1, i2, i3, i4, w3) /* 72 */
#endif
#ifndef XUngrabKeyboard
#define XUngrabKeyboard(d, t) \
	(tkIntXlibStubsPtr->xUngrabKeyboard)(d, t) /* 73 */
#endif
#ifndef XUngrabPointer
#define XUngrabPointer(d, t) \
	(tkIntXlibStubsPtr->xUngrabPointer)(d, t) /* 74 */
#endif
#ifndef XUnmapWindow
#define XUnmapWindow(d, w) \
	(tkIntXlibStubsPtr->xUnmapWindow)(d, w) /* 75 */
#endif
#ifndef XWindowEvent
#define XWindowEvent(d, w, l, x) \
	(tkIntXlibStubsPtr->xWindowEvent)(d, w, l, x) /* 76 */
#endif
#ifndef XDestroyIC
#define XDestroyIC(x) \
	(tkIntXlibStubsPtr->xDestroyIC)(x) /* 77 */
#endif
#ifndef XFilterEvent
#define XFilterEvent(x, w) \
	(tkIntXlibStubsPtr->xFilterEvent)(x, w) /* 78 */
#endif
#ifndef XmbLookupString
#define XmbLookupString(xi, xk, c, i, k, s) \
	(tkIntXlibStubsPtr->xmbLookupString)(xi, xk, c, i, k, s) /* 79 */
#endif
#ifndef TkPutImage
#define TkPutImage(colors, ncolors, display, d, gc, image, src_x, src_y, dest_x, dest_y, width, height) \
	(tkIntXlibStubsPtr->tkPutImage)(colors, ncolors, display, d, gc, image, src_x, src_y, dest_x, dest_y, width, height) /* 80 */
#endif
#endif /* __WIN32__ */
#ifdef MAC_TCL
/* Slot 0 is reserved */
#ifndef XGetModifierMapping
#define XGetModifierMapping(d) \
	(tkIntXlibStubsPtr->xGetModifierMapping)(d) /* 1 */
#endif
#ifndef XCreateImage
#define XCreateImage(d, v, ui1, i1, i2, cp, ui2, ui3, i3, i4) \
	(tkIntXlibStubsPtr->xCreateImage)(d, v, ui1, i1, i2, cp, ui2, ui3, i3, i4) /* 2 */
#endif
#ifndef XGetImage
#define XGetImage(d, dr, i1, i2, ui1, ui2, ul, i3) \
	(tkIntXlibStubsPtr->xGetImage)(d, dr, i1, i2, ui1, ui2, ul, i3) /* 3 */
#endif
#ifndef XGetAtomName
#define XGetAtomName(d, a) \
	(tkIntXlibStubsPtr->xGetAtomName)(d, a) /* 4 */
#endif
#ifndef XKeysymToString
#define XKeysymToString(k) \
	(tkIntXlibStubsPtr->xKeysymToString)(k) /* 5 */
#endif
#ifndef XCreateColormap
#define XCreateColormap(d, w, v, i) \
	(tkIntXlibStubsPtr->xCreateColormap)(d, w, v, i) /* 6 */
#endif
#ifndef XGContextFromGC
#define XGContextFromGC(g) \
	(tkIntXlibStubsPtr->xGContextFromGC)(g) /* 7 */
#endif
#ifndef XKeycodeToKeysym
#define XKeycodeToKeysym(d, k, i) \
	(tkIntXlibStubsPtr->xKeycodeToKeysym)(d, k, i) /* 8 */
#endif
#ifndef XStringToKeysym
#define XStringToKeysym(c) \
	(tkIntXlibStubsPtr->xStringToKeysym)(c) /* 9 */
#endif
#ifndef XRootWindow
#define XRootWindow(d, i) \
	(tkIntXlibStubsPtr->xRootWindow)(d, i) /* 10 */
#endif
#ifndef XSetErrorHandler
#define XSetErrorHandler(x) \
	(tkIntXlibStubsPtr->xSetErrorHandler)(x) /* 11 */
#endif
#ifndef XAllocColor
#define XAllocColor(d, c, xp) \
	(tkIntXlibStubsPtr->xAllocColor)(d, c, xp) /* 12 */
#endif
#ifndef XBell
#define XBell(d, i) \
	(tkIntXlibStubsPtr->xBell)(d, i) /* 13 */
#endif
#ifndef XChangeProperty
#define XChangeProperty(d, w, a, a, i1, i2, c, i3) \
	(tkIntXlibStubsPtr->xChangeProperty)(d, w, a, a, i1, i2, c, i3) /* 14 */
#endif
#ifndef XChangeWindowAttributes
#define XChangeWindowAttributes(d, w, ul, x) \
	(tkIntXlibStubsPtr->xChangeWindowAttributes)(d, w, ul, x) /* 15 */
#endif
#ifndef XConfigureWindow
#define XConfigureWindow(d, w, i, x) \
	(tkIntXlibStubsPtr->xConfigureWindow)(d, w, i, x) /* 16 */
#endif
#ifndef XCopyArea
#define XCopyArea(d, dr1, dr2, g, i1, i2, ui1, ui2, i3, i4) \
	(tkIntXlibStubsPtr->xCopyArea)(d, dr1, dr2, g, i1, i2, ui1, ui2, i3, i4) /* 17 */
#endif
#ifndef XCopyPlane
#define XCopyPlane(d, dr1, dr2, g, i1, i2, ui1, ui2, i3, i4, ul) \
	(tkIntXlibStubsPtr->xCopyPlane)(d, dr1, dr2, g, i1, i2, ui1, ui2, i3, i4, ul) /* 18 */
#endif
#ifndef XCreateBitmapFromData
#define XCreateBitmapFromData(display, d, data, width, height) \
	(tkIntXlibStubsPtr->xCreateBitmapFromData)(display, d, data, width, height) /* 19 */
#endif
#ifndef XDefineCursor
#define XDefineCursor(d, w, c) \
	(tkIntXlibStubsPtr->xDefineCursor)(d, w, c) /* 20 */
#endif
#ifndef XDestroyWindow
#define XDestroyWindow(d, w) \
	(tkIntXlibStubsPtr->xDestroyWindow)(d, w) /* 21 */
#endif
#ifndef XDrawArc
#define XDrawArc(d, dr, g, i1, i2, ui1, ui2, i3, i4) \
	(tkIntXlibStubsPtr->xDrawArc)(d, dr, g, i1, i2, ui1, ui2, i3, i4) /* 22 */
#endif
#ifndef XDrawLines
#define XDrawLines(d, dr, g, x, i1, i2) \
	(tkIntXlibStubsPtr->xDrawLines)(d, dr, g, x, i1, i2) /* 23 */
#endif
#ifndef XDrawRectangle
#define XDrawRectangle(d, dr, g, i1, i2, ui1, ui2) \
	(tkIntXlibStubsPtr->xDrawRectangle)(d, dr, g, i1, i2, ui1, ui2) /* 24 */
#endif
#ifndef XFillArc
#define XFillArc(d, dr, g, i1, i2, ui1, ui2, i3, i4) \
	(tkIntXlibStubsPtr->xFillArc)(d, dr, g, i1, i2, ui1, ui2, i3, i4) /* 25 */
#endif
#ifndef XFillPolygon
#define XFillPolygon(d, dr, g, x, i1, i2, i3) \
	(tkIntXlibStubsPtr->xFillPolygon)(d, dr, g, x, i1, i2, i3) /* 26 */
#endif
#ifndef XFillRectangles
#define XFillRectangles(d, dr, g, x, i) \
	(tkIntXlibStubsPtr->xFillRectangles)(d, dr, g, x, i) /* 27 */
#endif
#ifndef XFreeColormap
#define XFreeColormap(d, c) \
	(tkIntXlibStubsPtr->xFreeColormap)(d, c) /* 28 */
#endif
#ifndef XFreeColors
#define XFreeColors(d, c, ulp, i, ul) \
	(tkIntXlibStubsPtr->xFreeColors)(d, c, ulp, i, ul) /* 29 */
#endif
#ifndef XFreeModifiermap
#define XFreeModifiermap(x) \
	(tkIntXlibStubsPtr->xFreeModifiermap)(x) /* 30 */
#endif
#ifndef XGetGeometry
#define XGetGeometry(d, dr, w, i1, i2, ui1, ui2, ui3, ui4) \
	(tkIntXlibStubsPtr->xGetGeometry)(d, dr, w, i1, i2, ui1, ui2, ui3, ui4) /* 31 */
#endif
#ifndef XGetWindowProperty
#define XGetWindowProperty(d, w, a1, l1, l2, b, a2, ap, ip, ulp1, ulp2, cpp) \
	(tkIntXlibStubsPtr->xGetWindowProperty)(d, w, a1, l1, l2, b, a2, ap, ip, ulp1, ulp2, cpp) /* 32 */
#endif
#ifndef XGrabKeyboard
#define XGrabKeyboard(d, w, b, i1, i2, t) \
	(tkIntXlibStubsPtr->xGrabKeyboard)(d, w, b, i1, i2, t) /* 33 */
#endif
#ifndef XGrabPointer
#define XGrabPointer(d, w1, b, ui, i1, i2, w2, c, t) \
	(tkIntXlibStubsPtr->xGrabPointer)(d, w1, b, ui, i1, i2, w2, c, t) /* 34 */
#endif
#ifndef XKeysymToKeycode
#define XKeysymToKeycode(d, k) \
	(tkIntXlibStubsPtr->xKeysymToKeycode)(d, k) /* 35 */
#endif
#ifndef XMapWindow
#define XMapWindow(d, w) \
	(tkIntXlibStubsPtr->xMapWindow)(d, w) /* 36 */
#endif
#ifndef XMoveResizeWindow
#define XMoveResizeWindow(d, w, i1, i2, ui1, ui2) \
	(tkIntXlibStubsPtr->xMoveResizeWindow)(d, w, i1, i2, ui1, ui2) /* 37 */
#endif
#ifndef XMoveWindow
#define XMoveWindow(d, w, i1, i2) \
	(tkIntXlibStubsPtr->xMoveWindow)(d, w, i1, i2) /* 38 */
#endif
#ifndef XQueryPointer
#define XQueryPointer(d, w1, w2, w3, i1, i2, i3, i4, ui) \
	(tkIntXlibStubsPtr->xQueryPointer)(d, w1, w2, w3, i1, i2, i3, i4, ui) /* 39 */
#endif
#ifndef XRaiseWindow
#define XRaiseWindow(d, w) \
	(tkIntXlibStubsPtr->xRaiseWindow)(d, w) /* 40 */
#endif
#ifndef XRefreshKeyboardMapping
#define XRefreshKeyboardMapping(x) \
	(tkIntXlibStubsPtr->xRefreshKeyboardMapping)(x) /* 41 */
#endif
#ifndef XResizeWindow
#define XResizeWindow(d, w, ui1, ui2) \
	(tkIntXlibStubsPtr->xResizeWindow)(d, w, ui1, ui2) /* 42 */
#endif
#ifndef XSelectInput
#define XSelectInput(d, w, l) \
	(tkIntXlibStubsPtr->xSelectInput)(d, w, l) /* 43 */
#endif
#ifndef XSendEvent
#define XSendEvent(d, w, b, l, x) \
	(tkIntXlibStubsPtr->xSendEvent)(d, w, b, l, x) /* 44 */
#endif
#ifndef XSetIconName
#define XSetIconName(d, w, c) \
	(tkIntXlibStubsPtr->xSetIconName)(d, w, c) /* 45 */
#endif
#ifndef XSetInputFocus
#define XSetInputFocus(d, w, i, t) \
	(tkIntXlibStubsPtr->xSetInputFocus)(d, w, i, t) /* 46 */
#endif
#ifndef XSetSelectionOwner
#define XSetSelectionOwner(d, a, w, t) \
	(tkIntXlibStubsPtr->xSetSelectionOwner)(d, a, w, t) /* 47 */
#endif
#ifndef XSetWindowBackground
#define XSetWindowBackground(d, w, ul) \
	(tkIntXlibStubsPtr->xSetWindowBackground)(d, w, ul) /* 48 */
#endif
#ifndef XSetWindowBackgroundPixmap
#define XSetWindowBackgroundPixmap(d, w, p) \
	(tkIntXlibStubsPtr->xSetWindowBackgroundPixmap)(d, w, p) /* 49 */
#endif
#ifndef XSetWindowBorder
#define XSetWindowBorder(d, w, ul) \
	(tkIntXlibStubsPtr->xSetWindowBorder)(d, w, ul) /* 50 */
#endif
#ifndef XSetWindowBorderPixmap
#define XSetWindowBorderPixmap(d, w, p) \
	(tkIntXlibStubsPtr->xSetWindowBorderPixmap)(d, w, p) /* 51 */
#endif
#ifndef XSetWindowBorderWidth
#define XSetWindowBorderWidth(d, w, ui) \
	(tkIntXlibStubsPtr->xSetWindowBorderWidth)(d, w, ui) /* 52 */
#endif
#ifndef XSetWindowColormap
#define XSetWindowColormap(d, w, c) \
	(tkIntXlibStubsPtr->xSetWindowColormap)(d, w, c) /* 53 */
#endif
#ifndef XUngrabKeyboard
#define XUngrabKeyboard(d, t) \
	(tkIntXlibStubsPtr->xUngrabKeyboard)(d, t) /* 54 */
#endif
#ifndef XUngrabPointer
#define XUngrabPointer(d, t) \
	(tkIntXlibStubsPtr->xUngrabPointer)(d, t) /* 55 */
#endif
#ifndef XUnmapWindow
#define XUnmapWindow(d, w) \
	(tkIntXlibStubsPtr->xUnmapWindow)(d, w) /* 56 */
#endif
#ifndef TkPutImage
#define TkPutImage(colors, ncolors, display, d, gc, image, src_x, src_y, dest_x, dest_y, width, height) \
	(tkIntXlibStubsPtr->tkPutImage)(colors, ncolors, display, d, gc, image, src_x, src_y, dest_x, dest_y, width, height) /* 57 */
#endif
#endif /* MAC_TCL */

#endif /* defined(USE_TK_STUBS) && !defined(USE_TK_STUB_PROCS) */

/* !END!: Do not edit above this line. */

#undef TCL_STORAGE_CLASS
#define TCL_STORAGE_CLASS DLLIMPORT

#endif /* _TKINTXLIBDECLS */
