/* 
 * tkIntPlatStubs.c --
 *
 *	This file contains the wrapper functions for the platform dependent
 *	unsupported Tk API.
 *
 * Copyright (c) 1998-1999 by Scriptics Corporation.
 * All rights reserved.
 *
 * RCS: @(#) $Id: tkIntXlibStubs.c,v 1.2.2.2 1999/03/12 03:12:47 stanton Exp $
 */

#include "tkInt.h"
#include <X11/Xlib.h>

/*
 * WARNING: This file is automatically generated by the tools/genStubs.tcl
 * script.  Any modifications to the function declarations below should be made
 * in the generic/tkInt.decls script.
 */

/* !BEGIN!: Do not edit below this line. */

/*
 * Exported stub functions:
 */

#ifdef __WIN32__
/* Slot 0 is reserved */
/* Slot 1 */
XModifierKeymap*
XGetModifierMapping(d)
    Display* d;
{
    return (tkIntXlibStubsPtr->xGetModifierMapping)(d);
}

/* Slot 2 */
XImage *
XCreateImage(d, v, ui1, i1, i2, cp, ui2, ui3, i3, i4)
    Display* d;
    Visual* v;
    unsigned int ui1;
    int i1;
    int i2;
    char* cp;
    unsigned int ui2;
    unsigned int ui3;
    int i3;
    int i4;
{
    return (tkIntXlibStubsPtr->xCreateImage)(d, v, ui1, i1, i2, cp, ui2, ui3, i3, i4);
}

/* Slot 3 */
XImage *
XGetImage(d, dr, i1, i2, ui1, ui2, ul, i3)
    Display* d;
    Drawable dr;
    int i1;
    int i2;
    unsigned int ui1;
    unsigned int ui2;
    unsigned long ul;
    int i3;
{
    return (tkIntXlibStubsPtr->xGetImage)(d, dr, i1, i2, ui1, ui2, ul, i3);
}

/* Slot 4 */
char *
XGetAtomName(d, a)
    Display* d;
    Atom a;
{
    return (tkIntXlibStubsPtr->xGetAtomName)(d, a);
}

/* Slot 5 */
char *
XKeysymToString(k)
    KeySym k;
{
    return (tkIntXlibStubsPtr->xKeysymToString)(k);
}

/* Slot 6 */
Colormap
XCreateColormap(d, w, v, i)
    Display* d;
    Window w;
    Visual* v;
    int i;
{
    return (tkIntXlibStubsPtr->xCreateColormap)(d, w, v, i);
}

/* Slot 7 */
Cursor
XCreatePixmapCursor(d, p1, p2, x1, x2, ui1, ui2)
    Display* d;
    Pixmap p1;
    Pixmap p2;
    XColor* x1;
    XColor* x2;
    unsigned int ui1;
    unsigned int ui2;
{
    return (tkIntXlibStubsPtr->xCreatePixmapCursor)(d, p1, p2, x1, x2, ui1, ui2);
}

/* Slot 8 */
Cursor
XCreateGlyphCursor(d, f1, f2, ui1, ui2, x1, x2)
    Display* d;
    Font f1;
    Font f2;
    unsigned int ui1;
    unsigned int ui2;
    XColor* x1;
    XColor* x2;
{
    return (tkIntXlibStubsPtr->xCreateGlyphCursor)(d, f1, f2, ui1, ui2, x1, x2);
}

/* Slot 9 */
GContext
XGContextFromGC(g)
    GC g;
{
    return (tkIntXlibStubsPtr->xGContextFromGC)(g);
}

/* Slot 10 */
XHostAddress *
XListHosts(d, i, b)
    Display* d;
    int* i;
    Bool* b;
{
    return (tkIntXlibStubsPtr->xListHosts)(d, i, b);
}

/* Slot 11 */
KeySym
XKeycodeToKeysym(d, k, i)
    Display* d;
    unsigned int k;
    int i;
{
    return (tkIntXlibStubsPtr->xKeycodeToKeysym)(d, k, i);
}

/* Slot 12 */
KeySym
XStringToKeysym(c)
    _Xconst char* c;
{
    return (tkIntXlibStubsPtr->xStringToKeysym)(c);
}

/* Slot 13 */
Window
XRootWindow(d, i)
    Display* d;
    int i;
{
    return (tkIntXlibStubsPtr->xRootWindow)(d, i);
}

/* Slot 14 */
XErrorHandler
XSetErrorHandler(x)
    XErrorHandler x;
{
    return (tkIntXlibStubsPtr->xSetErrorHandler)(x);
}

/* Slot 15 */
Status
XIconifyWindow(d, w, i)
    Display* d;
    Window w;
    int i;
{
    return (tkIntXlibStubsPtr->xIconifyWindow)(d, w, i);
}

/* Slot 16 */
Status
XWithdrawWindow(d, w, i)
    Display* d;
    Window w;
    int i;
{
    return (tkIntXlibStubsPtr->xWithdrawWindow)(d, w, i);
}

/* Slot 17 */
Status
XGetWMColormapWindows(d, w, wpp, ip)
    Display* d;
    Window w;
    Window** wpp;
    int* ip;
{
    return (tkIntXlibStubsPtr->xGetWMColormapWindows)(d, w, wpp, ip);
}

/* Slot 18 */
Status
XAllocColor(d, c, xp)
    Display* d;
    Colormap c;
    XColor* xp;
{
    return (tkIntXlibStubsPtr->xAllocColor)(d, c, xp);
}

/* Slot 19 */
void
XBell(d, i)
    Display* d;
    int i;
{
    (tkIntXlibStubsPtr->xBell)(d, i);
}

/* Slot 20 */
void
XChangeProperty(d, w, a1, a2, i1, i2, c, i3)
    Display* d;
    Window w;
    Atom a1;
    Atom a2;
    int i1;
    int i2;
    _Xconst unsigned char* c;
    int i3;
{
    (tkIntXlibStubsPtr->xChangeProperty)(d, w, a1, a2, i1, i2, c, i3);
}

/* Slot 21 */
void
XChangeWindowAttributes(d, w, ul, x)
    Display* d;
    Window w;
    unsigned long ul;
    XSetWindowAttributes* x;
{
    (tkIntXlibStubsPtr->xChangeWindowAttributes)(d, w, ul, x);
}

/* Slot 22 */
void
XClearWindow(d, w)
    Display* d;
    Window w;
{
    (tkIntXlibStubsPtr->xClearWindow)(d, w);
}

/* Slot 23 */
void
XConfigureWindow(d, w, i, x)
    Display* d;
    Window w;
    unsigned int i;
    XWindowChanges* x;
{
    (tkIntXlibStubsPtr->xConfigureWindow)(d, w, i, x);
}

/* Slot 24 */
void
XCopyArea(d, dr1, dr2, g, i1, i2, ui1, ui2, i3, i4)
    Display* d;
    Drawable dr1;
    Drawable dr2;
    GC g;
    int i1;
    int i2;
    unsigned int ui1;
    unsigned int ui2;
    int i3;
    int i4;
{
    (tkIntXlibStubsPtr->xCopyArea)(d, dr1, dr2, g, i1, i2, ui1, ui2, i3, i4);
}

/* Slot 25 */
void
XCopyPlane(d, dr1, dr2, g, i1, i2, ui1, ui2, i3, i4, ul)
    Display* d;
    Drawable dr1;
    Drawable dr2;
    GC g;
    int i1;
    int i2;
    unsigned int ui1;
    unsigned int ui2;
    int i3;
    int i4;
    unsigned long ul;
{
    (tkIntXlibStubsPtr->xCopyPlane)(d, dr1, dr2, g, i1, i2, ui1, ui2, i3, i4, ul);
}

/* Slot 26 */
Pixmap
XCreateBitmapFromData(display, d, data, width, height)
    Display* display;
    Drawable d;
    _Xconst char* data;
    unsigned int width;
    unsigned int height;
{
    return (tkIntXlibStubsPtr->xCreateBitmapFromData)(display, d, data, width, height);
}

/* Slot 27 */
void
XDefineCursor(d, w, c)
    Display* d;
    Window w;
    Cursor c;
{
    (tkIntXlibStubsPtr->xDefineCursor)(d, w, c);
}

/* Slot 28 */
void
XDeleteProperty(d, w, a)
    Display* d;
    Window w;
    Atom a;
{
    (tkIntXlibStubsPtr->xDeleteProperty)(d, w, a);
}

/* Slot 29 */
void
XDestroyWindow(d, w)
    Display* d;
    Window w;
{
    (tkIntXlibStubsPtr->xDestroyWindow)(d, w);
}

/* Slot 30 */
void
XDrawArc(d, dr, g, i1, i2, ui1, ui2, i3, i4)
    Display* d;
    Drawable dr;
    GC g;
    int i1;
    int i2;
    unsigned int ui1;
    unsigned int ui2;
    int i3;
    int i4;
{
    (tkIntXlibStubsPtr->xDrawArc)(d, dr, g, i1, i2, ui1, ui2, i3, i4);
}

/* Slot 31 */
void
XDrawLines(d, dr, g, x, i1, i2)
    Display* d;
    Drawable dr;
    GC g;
    XPoint* x;
    int i1;
    int i2;
{
    (tkIntXlibStubsPtr->xDrawLines)(d, dr, g, x, i1, i2);
}

/* Slot 32 */
void
XDrawRectangle(d, dr, g, i1, i2, ui1, ui2)
    Display* d;
    Drawable dr;
    GC g;
    int i1;
    int i2;
    unsigned int ui1;
    unsigned int ui2;
{
    (tkIntXlibStubsPtr->xDrawRectangle)(d, dr, g, i1, i2, ui1, ui2);
}

/* Slot 33 */
void
XFillArc(d, dr, g, i1, i2, ui1, ui2, i3, i4)
    Display* d;
    Drawable dr;
    GC g;
    int i1;
    int i2;
    unsigned int ui1;
    unsigned int ui2;
    int i3;
    int i4;
{
    (tkIntXlibStubsPtr->xFillArc)(d, dr, g, i1, i2, ui1, ui2, i3, i4);
}

/* Slot 34 */
void
XFillPolygon(d, dr, g, x, i1, i2, i3)
    Display* d;
    Drawable dr;
    GC g;
    XPoint* x;
    int i1;
    int i2;
    int i3;
{
    (tkIntXlibStubsPtr->xFillPolygon)(d, dr, g, x, i1, i2, i3);
}

/* Slot 35 */
void
XFillRectangles(d, dr, g, x, i)
    Display* d;
    Drawable dr;
    GC g;
    XRectangle* x;
    int i;
{
    (tkIntXlibStubsPtr->xFillRectangles)(d, dr, g, x, i);
}

/* Slot 36 */
void
XForceScreenSaver(d, i)
    Display* d;
    int i;
{
    (tkIntXlibStubsPtr->xForceScreenSaver)(d, i);
}

/* Slot 37 */
void
XFreeColormap(d, c)
    Display* d;
    Colormap c;
{
    (tkIntXlibStubsPtr->xFreeColormap)(d, c);
}

/* Slot 38 */
void
XFreeColors(d, c, ulp, i, ul)
    Display* d;
    Colormap c;
    unsigned long* ulp;
    int i;
    unsigned long ul;
{
    (tkIntXlibStubsPtr->xFreeColors)(d, c, ulp, i, ul);
}

/* Slot 39 */
void
XFreeCursor(d, c)
    Display* d;
    Cursor c;
{
    (tkIntXlibStubsPtr->xFreeCursor)(d, c);
}

/* Slot 40 */
void
XFreeModifiermap(x)
    XModifierKeymap* x;
{
    (tkIntXlibStubsPtr->xFreeModifiermap)(x);
}

/* Slot 41 */
Status
XGetGeometry(d, dr, w, i1, i2, ui1, ui2, ui3, ui4)
    Display* d;
    Drawable dr;
    Window* w;
    int* i1;
    int* i2;
    unsigned int* ui1;
    unsigned int* ui2;
    unsigned int* ui3;
    unsigned int* ui4;
{
    return (tkIntXlibStubsPtr->xGetGeometry)(d, dr, w, i1, i2, ui1, ui2, ui3, ui4);
}

/* Slot 42 */
void
XGetInputFocus(d, w, i)
    Display* d;
    Window* w;
    int* i;
{
    (tkIntXlibStubsPtr->xGetInputFocus)(d, w, i);
}

/* Slot 43 */
int
XGetWindowProperty(d, w, a1, l1, l2, b, a2, ap, ip, ulp1, ulp2, cpp)
    Display* d;
    Window w;
    Atom a1;
    long l1;
    long l2;
    Bool b;
    Atom a2;
    Atom* ap;
    int* ip;
    unsigned long* ulp1;
    unsigned long* ulp2;
    unsigned char** cpp;
{
    return (tkIntXlibStubsPtr->xGetWindowProperty)(d, w, a1, l1, l2, b, a2, ap, ip, ulp1, ulp2, cpp);
}

/* Slot 44 */
Status
XGetWindowAttributes(d, w, x)
    Display* d;
    Window w;
    XWindowAttributes* x;
{
    return (tkIntXlibStubsPtr->xGetWindowAttributes)(d, w, x);
}

/* Slot 45 */
int
XGrabKeyboard(d, w, b, i1, i2, t)
    Display* d;
    Window w;
    Bool b;
    int i1;
    int i2;
    Time t;
{
    return (tkIntXlibStubsPtr->xGrabKeyboard)(d, w, b, i1, i2, t);
}

/* Slot 46 */
int
XGrabPointer(d, w1, b, ui, i1, i2, w2, c, t)
    Display* d;
    Window w1;
    Bool b;
    unsigned int ui;
    int i1;
    int i2;
    Window w2;
    Cursor c;
    Time t;
{
    return (tkIntXlibStubsPtr->xGrabPointer)(d, w1, b, ui, i1, i2, w2, c, t);
}

/* Slot 47 */
KeyCode
XKeysymToKeycode(d, k)
    Display* d;
    KeySym k;
{
    return (tkIntXlibStubsPtr->xKeysymToKeycode)(d, k);
}

/* Slot 48 */
Status
XLookupColor(d, c1, c2, x1, x2)
    Display* d;
    Colormap c1;
    _Xconst char* c2;
    XColor* x1;
    XColor* x2;
{
    return (tkIntXlibStubsPtr->xLookupColor)(d, c1, c2, x1, x2);
}

/* Slot 49 */
void
XMapWindow(d, w)
    Display* d;
    Window w;
{
    (tkIntXlibStubsPtr->xMapWindow)(d, w);
}

/* Slot 50 */
void
XMoveResizeWindow(d, w, i1, i2, ui1, ui2)
    Display* d;
    Window w;
    int i1;
    int i2;
    unsigned int ui1;
    unsigned int ui2;
{
    (tkIntXlibStubsPtr->xMoveResizeWindow)(d, w, i1, i2, ui1, ui2);
}

/* Slot 51 */
void
XMoveWindow(d, w, i1, i2)
    Display* d;
    Window w;
    int i1;
    int i2;
{
    (tkIntXlibStubsPtr->xMoveWindow)(d, w, i1, i2);
}

/* Slot 52 */
void
XNextEvent(d, x)
    Display* d;
    XEvent* x;
{
    (tkIntXlibStubsPtr->xNextEvent)(d, x);
}

/* Slot 53 */
void
XPutBackEvent(d, x)
    Display* d;
    XEvent* x;
{
    (tkIntXlibStubsPtr->xPutBackEvent)(d, x);
}

/* Slot 54 */
void
XQueryColors(d, c, x, i)
    Display* d;
    Colormap c;
    XColor* x;
    int i;
{
    (tkIntXlibStubsPtr->xQueryColors)(d, c, x, i);
}

/* Slot 55 */
Bool
XQueryPointer(d, w1, w2, w3, i1, i2, i3, i4, ui)
    Display* d;
    Window w1;
    Window* w2;
    Window* w3;
    int* i1;
    int* i2;
    int* i3;
    int* i4;
    unsigned int* ui;
{
    return (tkIntXlibStubsPtr->xQueryPointer)(d, w1, w2, w3, i1, i2, i3, i4, ui);
}

/* Slot 56 */
Status
XQueryTree(d, w1, w2, w3, w4, ui)
    Display* d;
    Window w1;
    Window* w2;
    Window* w3;
    Window** w4;
    unsigned int* ui;
{
    return (tkIntXlibStubsPtr->xQueryTree)(d, w1, w2, w3, w4, ui);
}

/* Slot 57 */
void
XRaiseWindow(d, w)
    Display* d;
    Window w;
{
    (tkIntXlibStubsPtr->xRaiseWindow)(d, w);
}

/* Slot 58 */
void
XRefreshKeyboardMapping(x)
    XMappingEvent* x;
{
    (tkIntXlibStubsPtr->xRefreshKeyboardMapping)(x);
}

/* Slot 59 */
void
XResizeWindow(d, w, ui1, ui2)
    Display* d;
    Window w;
    unsigned int ui1;
    unsigned int ui2;
{
    (tkIntXlibStubsPtr->xResizeWindow)(d, w, ui1, ui2);
}

/* Slot 60 */
void
XSelectInput(d, w, l)
    Display* d;
    Window w;
    long l;
{
    (tkIntXlibStubsPtr->xSelectInput)(d, w, l);
}

/* Slot 61 */
Status
XSendEvent(d, w, b, l, x)
    Display* d;
    Window w;
    Bool b;
    long l;
    XEvent* x;
{
    return (tkIntXlibStubsPtr->xSendEvent)(d, w, b, l, x);
}

/* Slot 62 */
void
XSetCommand(d, w, c, i)
    Display* d;
    Window w;
    char** c;
    int i;
{
    (tkIntXlibStubsPtr->xSetCommand)(d, w, c, i);
}

/* Slot 63 */
void
XSetIconName(d, w, c)
    Display* d;
    Window w;
    _Xconst char* c;
{
    (tkIntXlibStubsPtr->xSetIconName)(d, w, c);
}

/* Slot 64 */
void
XSetInputFocus(d, w, i, t)
    Display* d;
    Window w;
    int i;
    Time t;
{
    (tkIntXlibStubsPtr->xSetInputFocus)(d, w, i, t);
}

/* Slot 65 */
void
XSetSelectionOwner(d, a, w, t)
    Display* d;
    Atom a;
    Window w;
    Time t;
{
    (tkIntXlibStubsPtr->xSetSelectionOwner)(d, a, w, t);
}

/* Slot 66 */
void
XSetWindowBackground(d, w, ul)
    Display* d;
    Window w;
    unsigned long ul;
{
    (tkIntXlibStubsPtr->xSetWindowBackground)(d, w, ul);
}

/* Slot 67 */
void
XSetWindowBackgroundPixmap(d, w, p)
    Display* d;
    Window w;
    Pixmap p;
{
    (tkIntXlibStubsPtr->xSetWindowBackgroundPixmap)(d, w, p);
}

/* Slot 68 */
void
XSetWindowBorder(d, w, ul)
    Display* d;
    Window w;
    unsigned long ul;
{
    (tkIntXlibStubsPtr->xSetWindowBorder)(d, w, ul);
}

/* Slot 69 */
void
XSetWindowBorderPixmap(d, w, p)
    Display* d;
    Window w;
    Pixmap p;
{
    (tkIntXlibStubsPtr->xSetWindowBorderPixmap)(d, w, p);
}

/* Slot 70 */
void
XSetWindowBorderWidth(d, w, ui)
    Display* d;
    Window w;
    unsigned int ui;
{
    (tkIntXlibStubsPtr->xSetWindowBorderWidth)(d, w, ui);
}

/* Slot 71 */
void
XSetWindowColormap(d, w, c)
    Display* d;
    Window w;
    Colormap c;
{
    (tkIntXlibStubsPtr->xSetWindowColormap)(d, w, c);
}

/* Slot 72 */
Bool
XTranslateCoordinates(d, w1, w2, i1, i2, i3, i4, w3)
    Display* d;
    Window w1;
    Window w2;
    int i1;
    int i2;
    int* i3;
    int* i4;
    Window* w3;
{
    return (tkIntXlibStubsPtr->xTranslateCoordinates)(d, w1, w2, i1, i2, i3, i4, w3);
}

/* Slot 73 */
void
XUngrabKeyboard(d, t)
    Display* d;
    Time t;
{
    (tkIntXlibStubsPtr->xUngrabKeyboard)(d, t);
}

/* Slot 74 */
void
XUngrabPointer(d, t)
    Display* d;
    Time t;
{
    (tkIntXlibStubsPtr->xUngrabPointer)(d, t);
}

/* Slot 75 */
void
XUnmapWindow(d, w)
    Display* d;
    Window w;
{
    (tkIntXlibStubsPtr->xUnmapWindow)(d, w);
}

/* Slot 76 */
void
XWindowEvent(d, w, l, x)
    Display* d;
    Window w;
    long l;
    XEvent* x;
{
    (tkIntXlibStubsPtr->xWindowEvent)(d, w, l, x);
}

/* Slot 77 */
void
XDestroyIC(x)
    XIC x;
{
    (tkIntXlibStubsPtr->xDestroyIC)(x);
}

/* Slot 78 */
Bool
XFilterEvent(x, w)
    XEvent* x;
    Window w;
{
    return (tkIntXlibStubsPtr->xFilterEvent)(x, w);
}

/* Slot 79 */
int
XmbLookupString(xi, xk, c, i, k, s)
    XIC xi;
    XKeyPressedEvent* xk;
    char* c;
    int i;
    KeySym* k;
    Status* s;
{
    return (tkIntXlibStubsPtr->xmbLookupString)(xi, xk, c, i, k, s);
}

/* Slot 80 */
void
TkPutImage(colors, ncolors, display, d, gc, image, src_x, src_y, dest_x, dest_y, width, height)
    unsigned long * colors;
    int ncolors;
    Display* display;
    Drawable d;
    GC gc;
    XImage* image;
    int src_x;
    int src_y;
    int dest_x;
    int dest_y;
    unsigned int width;
    unsigned int height;
{
    (tkIntXlibStubsPtr->tkPutImage)(colors, ncolors, display, d, gc, image, src_x, src_y, dest_x, dest_y, width, height);
}

#endif /* __WIN32__ */
#ifdef MAC_TCL
/* Slot 0 is reserved */
/* Slot 1 */
XModifierKeymap*
XGetModifierMapping(d)
    Display* d;
{
    return (tkIntXlibStubsPtr->xGetModifierMapping)(d);
}

/* Slot 2 */
XImage *
XCreateImage(d, v, ui1, i1, i2, cp, ui2, ui3, i3, i4)
    Display* d;
    Visual* v;
    unsigned int ui1;
    int i1;
    int i2;
    char* cp;
    unsigned int ui2;
    unsigned int ui3;
    int i3;
    int i4;
{
    return (tkIntXlibStubsPtr->xCreateImage)(d, v, ui1, i1, i2, cp, ui2, ui3, i3, i4);
}

/* Slot 3 */
XImage *
XGetImage(d, dr, i1, i2, ui1, ui2, ul, i3)
    Display* d;
    Drawable dr;
    int i1;
    int i2;
    unsigned int ui1;
    unsigned int ui2;
    unsigned long ul;
    int i3;
{
    return (tkIntXlibStubsPtr->xGetImage)(d, dr, i1, i2, ui1, ui2, ul, i3);
}

/* Slot 4 */
char *
XGetAtomName(d, a)
    Display* d;
    Atom a;
{
    return (tkIntXlibStubsPtr->xGetAtomName)(d, a);
}

/* Slot 5 */
char *
XKeysymToString(k)
    KeySym k;
{
    return (tkIntXlibStubsPtr->xKeysymToString)(k);
}

/* Slot 6 */
Colormap
XCreateColormap(d, w, v, i)
    Display* d;
    Window w;
    Visual* v;
    int i;
{
    return (tkIntXlibStubsPtr->xCreateColormap)(d, w, v, i);
}

/* Slot 7 */
GContext
XGContextFromGC(g)
    GC g;
{
    return (tkIntXlibStubsPtr->xGContextFromGC)(g);
}

/* Slot 8 */
KeySym
XKeycodeToKeysym(d, k, i)
    Display* d;
    KeyCode k;
    int i;
{
    return (tkIntXlibStubsPtr->xKeycodeToKeysym)(d, k, i);
}

/* Slot 9 */
KeySym
XStringToKeysym(c)
    _Xconst char* c;
{
    return (tkIntXlibStubsPtr->xStringToKeysym)(c);
}

/* Slot 10 */
Window
XRootWindow(d, i)
    Display* d;
    int i;
{
    return (tkIntXlibStubsPtr->xRootWindow)(d, i);
}

/* Slot 11 */
XErrorHandler
XSetErrorHandler(x)
    XErrorHandler x;
{
    return (tkIntXlibStubsPtr->xSetErrorHandler)(x);
}

/* Slot 12 */
Status
XAllocColor(d, c, xp)
    Display* d;
    Colormap c;
    XColor* xp;
{
    return (tkIntXlibStubsPtr->xAllocColor)(d, c, xp);
}

/* Slot 13 */
void
XBell(d, i)
    Display* d;
    int i;
{
    (tkIntXlibStubsPtr->xBell)(d, i);
}

/* Slot 14 */
void
XChangeProperty(d, w, a, a, i1, i2, c, i3)
    Display* d;
    Window w;
    Atom a;
    Atom a;
    int i1;
    int i2;
    _Xconst unsigned char* c;
    int i3;
{
    (tkIntXlibStubsPtr->xChangeProperty)(d, w, a, a, i1, i2, c, i3);
}

/* Slot 15 */
void
XChangeWindowAttributes(d, w, ul, x)
    Display* d;
    Window w;
    unsigned long ul;
    XSetWindowAttributes* x;
{
    (tkIntXlibStubsPtr->xChangeWindowAttributes)(d, w, ul, x);
}

/* Slot 16 */
void
XConfigureWindow(d, w, i, x)
    Display* d;
    Window w;
    unsigned int i;
    XWindowChanges* x;
{
    (tkIntXlibStubsPtr->xConfigureWindow)(d, w, i, x);
}

/* Slot 17 */
void
XCopyArea(d, dr1, dr2, g, i1, i2, ui1, ui2, i3, i4)
    Display* d;
    Drawable dr1;
    Drawable dr2;
    GC g;
    int i1;
    int i2;
    unsigned int ui1;
    unsigned int ui2;
    int i3;
    int i4;
{
    (tkIntXlibStubsPtr->xCopyArea)(d, dr1, dr2, g, i1, i2, ui1, ui2, i3, i4);
}

/* Slot 18 */
void
XCopyPlane(d, dr1, dr2, g, i1, i2, ui1, ui2, i3, i4, ul)
    Display* d;
    Drawable dr1;
    Drawable dr2;
    GC g;
    int i1;
    int i2;
    unsigned int ui1;
    unsigned int ui2;
    int i3;
    int i4;
    unsigned long ul;
{
    (tkIntXlibStubsPtr->xCopyPlane)(d, dr1, dr2, g, i1, i2, ui1, ui2, i3, i4, ul);
}

/* Slot 19 */
Pixmap
XCreateBitmapFromData(display, d, data, width, height)
    Display* display;
    Drawable d;
    _Xconst char* data;
    unsigned int width;
    unsigned int height;
{
    return (tkIntXlibStubsPtr->xCreateBitmapFromData)(display, d, data, width, height);
}

/* Slot 20 */
void
XDefineCursor(d, w, c)
    Display* d;
    Window w;
    Cursor c;
{
    (tkIntXlibStubsPtr->xDefineCursor)(d, w, c);
}

/* Slot 21 */
void
XDestroyWindow(d, w)
    Display* d;
    Window w;
{
    (tkIntXlibStubsPtr->xDestroyWindow)(d, w);
}

/* Slot 22 */
void
XDrawArc(d, dr, g, i1, i2, ui1, ui2, i3, i4)
    Display* d;
    Drawable dr;
    GC g;
    int i1;
    int i2;
    unsigned int ui1;
    unsigned int ui2;
    int i3;
    int i4;
{
    (tkIntXlibStubsPtr->xDrawArc)(d, dr, g, i1, i2, ui1, ui2, i3, i4);
}

/* Slot 23 */
void
XDrawLines(d, dr, g, x, i1, i2)
    Display* d;
    Drawable dr;
    GC g;
    XPoint* x;
    int i1;
    int i2;
{
    (tkIntXlibStubsPtr->xDrawLines)(d, dr, g, x, i1, i2);
}

/* Slot 24 */
void
XDrawRectangle(d, dr, g, i1, i2, ui1, ui2)
    Display* d;
    Drawable dr;
    GC g;
    int i1;
    int i2;
    unsigned int ui1;
    unsigned int ui2;
{
    (tkIntXlibStubsPtr->xDrawRectangle)(d, dr, g, i1, i2, ui1, ui2);
}

/* Slot 25 */
void
XFillArc(d, dr, g, i1, i2, ui1, ui2, i3, i4)
    Display* d;
    Drawable dr;
    GC g;
    int i1;
    int i2;
    unsigned int ui1;
    unsigned int ui2;
    int i3;
    int i4;
{
    (tkIntXlibStubsPtr->xFillArc)(d, dr, g, i1, i2, ui1, ui2, i3, i4);
}

/* Slot 26 */
void
XFillPolygon(d, dr, g, x, i1, i2, i3)
    Display* d;
    Drawable dr;
    GC g;
    XPoint* x;
    int i1;
    int i2;
    int i3;
{
    (tkIntXlibStubsPtr->xFillPolygon)(d, dr, g, x, i1, i2, i3);
}

/* Slot 27 */
void
XFillRectangles(d, dr, g, x, i)
    Display* d;
    Drawable dr;
    GC g;
    XRectangle* x;
    int i;
{
    (tkIntXlibStubsPtr->xFillRectangles)(d, dr, g, x, i);
}

/* Slot 28 */
void
XFreeColormap(d, c)
    Display* d;
    Colormap c;
{
    (tkIntXlibStubsPtr->xFreeColormap)(d, c);
}

/* Slot 29 */
void
XFreeColors(d, c, ulp, i, ul)
    Display* d;
    Colormap c;
    unsigned long* ulp;
    int i;
    unsigned long ul;
{
    (tkIntXlibStubsPtr->xFreeColors)(d, c, ulp, i, ul);
}

/* Slot 30 */
void
XFreeModifiermap(x)
    XModifierKeymap* x;
{
    (tkIntXlibStubsPtr->xFreeModifiermap)(x);
}

/* Slot 31 */
Status
XGetGeometry(d, dr, w, i1, i2, ui1, ui2, ui3, ui4)
    Display* d;
    Drawable dr;
    Window* w;
    int* i1;
    int* i2;
    unsigned int* ui1;
    unsigned int* ui2;
    unsigned int* ui3;
    unsigned int* ui4;
{
    return (tkIntXlibStubsPtr->xGetGeometry)(d, dr, w, i1, i2, ui1, ui2, ui3, ui4);
}

/* Slot 32 */
int
XGetWindowProperty(d, w, a1, l1, l2, b, a2, ap, ip, ulp1, ulp2, cpp)
    Display* d;
    Window w;
    Atom a1;
    long l1;
    long l2;
    Bool b;
    Atom a2;
    Atom* ap;
    int* ip;
    unsigned long* ulp1;
    unsigned long* ulp2;
    unsigned char** cpp;
{
    return (tkIntXlibStubsPtr->xGetWindowProperty)(d, w, a1, l1, l2, b, a2, ap, ip, ulp1, ulp2, cpp);
}

/* Slot 33 */
int
XGrabKeyboard(d, w, b, i1, i2, t)
    Display* d;
    Window w;
    Bool b;
    int i1;
    int i2;
    Time t;
{
    return (tkIntXlibStubsPtr->xGrabKeyboard)(d, w, b, i1, i2, t);
}

/* Slot 34 */
int
XGrabPointer(d, w1, b, ui, i1, i2, w2, c, t)
    Display* d;
    Window w1;
    Bool b;
    unsigned int ui;
    int i1;
    int i2;
    Window w2;
    Cursor c;
    Time t;
{
    return (tkIntXlibStubsPtr->xGrabPointer)(d, w1, b, ui, i1, i2, w2, c, t);
}

/* Slot 35 */
KeyCode
XKeysymToKeycode(d, k)
    Display* d;
    KeySym k;
{
    return (tkIntXlibStubsPtr->xKeysymToKeycode)(d, k);
}

/* Slot 36 */
void
XMapWindow(d, w)
    Display* d;
    Window w;
{
    (tkIntXlibStubsPtr->xMapWindow)(d, w);
}

/* Slot 37 */
void
XMoveResizeWindow(d, w, i1, i2, ui1, ui2)
    Display* d;
    Window w;
    int i1;
    int i2;
    unsigned int ui1;
    unsigned int ui2;
{
    (tkIntXlibStubsPtr->xMoveResizeWindow)(d, w, i1, i2, ui1, ui2);
}

/* Slot 38 */
void
XMoveWindow(d, w, i1, i2)
    Display* d;
    Window w;
    int i1;
    int i2;
{
    (tkIntXlibStubsPtr->xMoveWindow)(d, w, i1, i2);
}

/* Slot 39 */
Bool
XQueryPointer(d, w1, w2, w3, i1, i2, i3, i4, ui)
    Display* d;
    Window w1;
    Window* w2;
    Window* w3;
    int* i1;
    int* i2;
    int* i3;
    int* i4;
    unsigned int* ui;
{
    return (tkIntXlibStubsPtr->xQueryPointer)(d, w1, w2, w3, i1, i2, i3, i4, ui);
}

/* Slot 40 */
void
XRaiseWindow(d, w)
    Display* d;
    Window w;
{
    (tkIntXlibStubsPtr->xRaiseWindow)(d, w);
}

/* Slot 41 */
void
XRefreshKeyboardMapping(x)
    XMappingEvent* x;
{
    (tkIntXlibStubsPtr->xRefreshKeyboardMapping)(x);
}

/* Slot 42 */
void
XResizeWindow(d, w, ui1, ui2)
    Display* d;
    Window w;
    unsigned int ui1;
    unsigned int ui2;
{
    (tkIntXlibStubsPtr->xResizeWindow)(d, w, ui1, ui2);
}

/* Slot 43 */
void
XSelectInput(d, w, l)
    Display* d;
    Window w;
    long l;
{
    (tkIntXlibStubsPtr->xSelectInput)(d, w, l);
}

/* Slot 44 */
Status
XSendEvent(d, w, b, l, x)
    Display* d;
    Window w;
    Bool b;
    long l;
    XEvent* x;
{
    return (tkIntXlibStubsPtr->xSendEvent)(d, w, b, l, x);
}

/* Slot 45 */
void
XSetIconName(d, w, c)
    Display* d;
    Window w;
    _Xconst char* c;
{
    (tkIntXlibStubsPtr->xSetIconName)(d, w, c);
}

/* Slot 46 */
void
XSetInputFocus(d, w, i, t)
    Display* d;
    Window w;
    int i;
    Time t;
{
    (tkIntXlibStubsPtr->xSetInputFocus)(d, w, i, t);
}

/* Slot 47 */
void
XSetSelectionOwner(d, a, w, t)
    Display* d;
    Atom a;
    Window w;
    Time t;
{
    (tkIntXlibStubsPtr->xSetSelectionOwner)(d, a, w, t);
}

/* Slot 48 */
void
XSetWindowBackground(d, w, ul)
    Display* d;
    Window w;
    unsigned long ul;
{
    (tkIntXlibStubsPtr->xSetWindowBackground)(d, w, ul);
}

/* Slot 49 */
void
XSetWindowBackgroundPixmap(d, w, p)
    Display* d;
    Window w;
    Pixmap p;
{
    (tkIntXlibStubsPtr->xSetWindowBackgroundPixmap)(d, w, p);
}

/* Slot 50 */
void
XSetWindowBorder(d, w, ul)
    Display* d;
    Window w;
    unsigned long ul;
{
    (tkIntXlibStubsPtr->xSetWindowBorder)(d, w, ul);
}

/* Slot 51 */
void
XSetWindowBorderPixmap(d, w, p)
    Display* d;
    Window w;
    Pixmap p;
{
    (tkIntXlibStubsPtr->xSetWindowBorderPixmap)(d, w, p);
}

/* Slot 52 */
void
XSetWindowBorderWidth(d, w, ui)
    Display* d;
    Window w;
    unsigned int ui;
{
    (tkIntXlibStubsPtr->xSetWindowBorderWidth)(d, w, ui);
}

/* Slot 53 */
void
XSetWindowColormap(d, w, c)
    Display* d;
    Window w;
    Colormap c;
{
    (tkIntXlibStubsPtr->xSetWindowColormap)(d, w, c);
}

/* Slot 54 */
void
XUngrabKeyboard(d, t)
    Display* d;
    Time t;
{
    (tkIntXlibStubsPtr->xUngrabKeyboard)(d, t);
}

/* Slot 55 */
void
XUngrabPointer(d, t)
    Display* d;
    Time t;
{
    (tkIntXlibStubsPtr->xUngrabPointer)(d, t);
}

/* Slot 56 */
void
XUnmapWindow(d, w)
    Display* d;
    Window w;
{
    (tkIntXlibStubsPtr->xUnmapWindow)(d, w);
}

/* Slot 57 */
void
TkPutImage(colors, ncolors, display, d, gc, image, src_x, src_y, dest_x, dest_y, width, height)
    unsigned long * colors;
    int ncolors;
    Display* display;
    Drawable d;
    GC gc;
    XImage* image;
    int src_x;
    int src_y;
    int dest_x;
    int dest_y;
    unsigned int width;
    unsigned int height;
{
    (tkIntXlibStubsPtr->tkPutImage)(colors, ncolors, display, d, gc, image, src_x, src_y, dest_x, dest_y, width, height);
}

#endif /* MAC_TCL */

/* !END!: Do not edit above this line. */
